#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0xbb6f535d, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0xa6d37419, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0x96fb3465, "");
SYMBOL_CRC(__rmi_register_function_handler, 0x0d6f4fca, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0xb2f27b6b, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0x0fd7d55f, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0xa2826b33, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0x12cd663e, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0x37d86a18, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0x8c51b125, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0x8d88b135, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0x78132128, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0x780d4bc1, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0x4db0f218, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x02653c13, "_dev_info" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5119b24c, "vb2_ioctl_dqbuf" },
	{ 0x65ae1f69, "bus_unregister" },
	{ 0x62161686, "devm_kfree" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0xfd7678f7, "vb2_ioctl_create_bufs" },
	{ 0x3275e80a, "device_add" },
	{ 0x44daf53b, "input_mt_init_slots" },
	{ 0x8ded700c, "irq_get_irq_data" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x01d2f644, "input_set_capability" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xdf93fa7b, "vb2_buffer_done" },
	{ 0x999b2889, "driver_unregister" },
	{ 0x8eb3a1d6, "vb2_plane_vaddr" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xebbb8c6e, "video_unregister_device" },
	{ 0x91927ea4, "sysfs_create_group" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x4db9c60d, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x1e9be48b, "vb2_fop_mmap" },
	{ 0xa5dc1efb, "device_del" },
	{ 0xe7acc8b5, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0xeaba7715, "vb2_vmalloc_memops" },
	{ 0xaef05acb, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x72b960d5, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x9e819d6d, "input_event" },
	{ 0x02d6a3c5, "vb2_fop_read" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x12a119b7, "v4l2_device_register" },
	{ 0xe349678b, "input_set_abs_params" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9c012c65, "devm_kasprintf" },
	{ 0x43fcb735, "sysfs_remove_group" },
	{ 0x1af3d7b9, "serio_interrupt" },
	{ 0x98b19d86, "irq_domain_instantiate" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xc57f9353, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6a235b2d, "vb2_ops_wait_prepare" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe25ca090, "irq_create_mapping_affinity" },
	{ 0x85181f4c, "vb2_ioctl_streamon" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2b80d2fb, "input_alloc_absinfo" },
	{ 0xf1d939b6, "vb2_fop_poll" },
	{ 0xece7aeb0, "v4l2_device_unregister" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6bbf8982, "param_ops_int" },
	{ 0x8117add0, "_dev_printk" },
	{ 0xbae03e8b, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x3fc9d117, "driver_register" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0x9974ee3b, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xffd2a6d3, "vb2_ioctl_reqbufs" },
	{ 0x9c95c96a, "vb2_queue_init" },
	{ 0xd263e801, "input_mt_assign_slots" },
	{ 0x80f214ef, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x53c833fa, "devm_request_threaded_irq" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x3933ad8b, "devm_kmalloc" },
	{ 0xe1f66ff6, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x763befda, "dev_set_name" },
	{ 0x6885671d, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd4d5bf2f, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x90ef3f1e, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x385e0a2b, "vb2_ops_wait_finish" },
	{ 0xa1fcfef6, "request_firmware" },
	{ 0x588cae56, "input_mt_report_slot_state" },
	{ 0x3f0d586c, "device_initialize" },
	{ 0x0f6d0275, "devm_input_allocate_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xf4dc188c, "vb2_ioctl_querybuf" },
	{ 0xdad5c9ae, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x99c42754, "v4l2_fh_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9f0f5386, "dev_driver_string" },
	{ 0x0b0bf9d3, "irq_domain_simple_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x2d66b8ac, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1db6f6d7, "video_devdata" },
	{ 0x81fb7134, "irq_set_chip_and_handler_name" },
	{ 0xbbf2990f, "put_device" },
	{ 0xd8aca062, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x2bc2a605, "handle_simple_irq" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-common,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C5593F659D7F05EDCA98660");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
