#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(media_device_register_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity, "_gpl", "");
KSYMTAB_FUNC(media_device_init, "_gpl", "");
KSYMTAB_FUNC(media_device_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_device_register, "_gpl", "");
KSYMTAB_FUNC(media_device_register_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister_entity_notify, "_gpl", "");
KSYMTAB_FUNC(media_device_unregister, "_gpl", "");
KSYMTAB_FUNC(media_device_pci_init, "_gpl", "");
KSYMTAB_FUNC(__media_device_usb_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_init, "_gpl", "");
KSYMTAB_FUNC(media_entity_enum_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_entity_pads_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_init, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_cleanup, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_start, "_gpl", "");
KSYMTAB_FUNC(media_graph_walk_next, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_pad_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_init, "_gpl", "");
KSYMTAB_FUNC(media_pipeline_entity_iter_cleanup, "_gpl", "");
KSYMTAB_FUNC(__media_pipeline_entity_iter_next, "_gpl", "");
KSYMTAB_FUNC(media_get_pad_index, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_link, "_gpl", "");
KSYMTAB_FUNC(media_create_pad_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(media_entity_remove_links, "_gpl", "");
KSYMTAB_FUNC(__media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_setup_link, "_gpl", "");
KSYMTAB_FUNC(media_entity_find_link, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_first, "_gpl", "");
KSYMTAB_FUNC(media_entity_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_pad_remote_pad_unique, "_gpl", "");
KSYMTAB_FUNC(media_entity_get_fwnode_pad, "_gpl", "");
KSYMTAB_FUNC(media_entity_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_pad_pipeline, "_gpl", "");
KSYMTAB_FUNC(media_devnode_create, "_gpl", "");
KSYMTAB_FUNC(media_devnode_remove, "_gpl", "");
KSYMTAB_FUNC(media_create_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_link, "_gpl", "");
KSYMTAB_FUNC(__media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_remove_intf_links, "_gpl", "");
KSYMTAB_FUNC(media_create_ancillary_link, "_gpl", "");
KSYMTAB_FUNC(__media_entity_next_link, "_gpl", "");
KSYMTAB_FUNC(media_request_put, "_gpl", "");
KSYMTAB_FUNC(media_request_get_by_fd, "_gpl", "");
KSYMTAB_FUNC(media_request_object_find, "_gpl", "");
KSYMTAB_FUNC(media_request_object_put, "_gpl", "");
KSYMTAB_FUNC(media_request_object_init, "_gpl", "");
KSYMTAB_FUNC(media_request_object_bind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_unbind, "_gpl", "");
KSYMTAB_FUNC(media_request_object_complete, "_gpl", "");
KSYMTAB_FUNC(media_device_usb_allocate, "_gpl", "");
KSYMTAB_FUNC(media_device_delete, "_gpl", "");

SYMBOL_CRC(media_device_register_entity, 0x7f3ab828, "_gpl");
SYMBOL_CRC(media_device_unregister_entity, 0x2d7cfc1f, "_gpl");
SYMBOL_CRC(media_device_init, 0x41fda568, "_gpl");
SYMBOL_CRC(media_device_cleanup, 0x76695478, "_gpl");
SYMBOL_CRC(__media_device_register, 0x3f2ba531, "_gpl");
SYMBOL_CRC(media_device_register_entity_notify, 0x5118c44e, "_gpl");
SYMBOL_CRC(media_device_unregister_entity_notify, 0x7835aba5, "_gpl");
SYMBOL_CRC(media_device_unregister, 0x7d007a10, "_gpl");
SYMBOL_CRC(media_device_pci_init, 0x044cf221, "_gpl");
SYMBOL_CRC(__media_device_usb_init, 0x71915ea9, "_gpl");
SYMBOL_CRC(media_entity_enum_init, 0xdf631055, "_gpl");
SYMBOL_CRC(media_entity_enum_cleanup, 0xe5ceecd6, "_gpl");
SYMBOL_CRC(media_entity_pads_init, 0x32a44d15, "_gpl");
SYMBOL_CRC(media_graph_walk_init, 0x1ff2baff, "_gpl");
SYMBOL_CRC(media_graph_walk_cleanup, 0xba9caa84, "_gpl");
SYMBOL_CRC(media_graph_walk_start, 0x39bdb784, "_gpl");
SYMBOL_CRC(media_graph_walk_next, 0x3de279b0, "_gpl");
SYMBOL_CRC(__media_pipeline_start, 0x49a9e2d7, "_gpl");
SYMBOL_CRC(media_pipeline_start, 0xea6ea97b, "_gpl");
SYMBOL_CRC(__media_pipeline_stop, 0x2f86b950, "_gpl");
SYMBOL_CRC(media_pipeline_stop, 0x6a0352be, "_gpl");
SYMBOL_CRC(media_pipeline_alloc_start, 0x3934b47f, "_gpl");
SYMBOL_CRC(__media_pipeline_pad_iter_next, 0xd66cd68c, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_init, 0xf40307c3, "_gpl");
SYMBOL_CRC(media_pipeline_entity_iter_cleanup, 0x65dd67e0, "_gpl");
SYMBOL_CRC(__media_pipeline_entity_iter_next, 0x7d5e0d92, "_gpl");
SYMBOL_CRC(media_get_pad_index, 0x742b4897, "_gpl");
SYMBOL_CRC(media_create_pad_link, 0x0eb7f31d, "_gpl");
SYMBOL_CRC(media_create_pad_links, 0x94029d71, "_gpl");
SYMBOL_CRC(__media_entity_remove_links, 0xf5e0b61f, "_gpl");
SYMBOL_CRC(media_entity_remove_links, 0x5c158bdb, "_gpl");
SYMBOL_CRC(__media_entity_setup_link, 0x2217f6f7, "_gpl");
SYMBOL_CRC(media_entity_setup_link, 0x6e3faeaa, "_gpl");
SYMBOL_CRC(media_entity_find_link, 0xf0341a48, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_first, 0x384b53ae, "_gpl");
SYMBOL_CRC(media_entity_remote_pad_unique, 0x29009b0b, "_gpl");
SYMBOL_CRC(media_pad_remote_pad_unique, 0x41488168, "_gpl");
SYMBOL_CRC(media_entity_get_fwnode_pad, 0x4737c7b2, "_gpl");
SYMBOL_CRC(media_entity_pipeline, 0x3befa40a, "_gpl");
SYMBOL_CRC(media_pad_pipeline, 0xa0a6fb1f, "_gpl");
SYMBOL_CRC(media_devnode_create, 0xbaa88456, "_gpl");
SYMBOL_CRC(media_devnode_remove, 0x000f824b, "_gpl");
SYMBOL_CRC(media_create_intf_link, 0x9d8b1c1a, "_gpl");
SYMBOL_CRC(__media_remove_intf_link, 0x3f9fcb9b, "_gpl");
SYMBOL_CRC(media_remove_intf_link, 0xecca1bc0, "_gpl");
SYMBOL_CRC(__media_remove_intf_links, 0x4086816b, "_gpl");
SYMBOL_CRC(media_remove_intf_links, 0xdc2672ff, "_gpl");
SYMBOL_CRC(media_create_ancillary_link, 0x9b6d653d, "_gpl");
SYMBOL_CRC(__media_entity_next_link, 0x7c182830, "_gpl");
SYMBOL_CRC(media_request_put, 0xe7338570, "_gpl");
SYMBOL_CRC(media_request_get_by_fd, 0x0c6d6b68, "_gpl");
SYMBOL_CRC(media_request_object_find, 0x275f6473, "_gpl");
SYMBOL_CRC(media_request_object_put, 0x95677e98, "_gpl");
SYMBOL_CRC(media_request_object_init, 0x8a1b89c6, "_gpl");
SYMBOL_CRC(media_request_object_bind, 0x787673e3, "_gpl");
SYMBOL_CRC(media_request_object_unbind, 0x79c86b71, "_gpl");
SYMBOL_CRC(media_request_object_complete, 0x1c9233b2, "_gpl");
SYMBOL_CRC(media_device_usb_allocate, 0x8ccd2bec, "_gpl");
SYMBOL_CRC(media_device_delete, 0x8dd5ce21, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcaa55e89, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xed4bd19a, "cdev_device_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xbbf2990f, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x5f85162a, "fwnode_graph_parse_endpoint" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x0340c9d8, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x583cbe05, "device_create_file" },
	{ 0x65ae1f69, "bus_unregister" },
	{ 0x3844df31, "fput" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6573f300, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xfb578fc5, "memset" },
	{ 0xaef05acb, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7230beea, "fdget" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xd7bc49a9, "platform_bus_type" },
	{ 0xf2a6a427, "kobject_set_name" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x555defb3, "cdev_init" },
	{ 0xfd69ee8f, "pci_bus_type" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0x31200135, "device_remove_file" },
	{ 0x9974ee3b, "bus_register" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x79dd7cb0, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xa048e6c5, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x763befda, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x16fd9d47, "cdev_device_del" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3f0d586c, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb5d1a124, "fd_install" },
	{ 0x037a0cba, "kfree" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xea8e888b, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4CEF93373F93DA69D803204");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
