#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x81c71303, "");
SYMBOL_CRC(gspca_dev_probe2, 0x528e28e8, "");
SYMBOL_CRC(gspca_dev_probe, 0x85757fc4, "");
SYMBOL_CRC(gspca_disconnect, 0x161cd012, "");
SYMBOL_CRC(gspca_suspend, 0x7fb184ba, "");
SYMBOL_CRC(gspca_resume, 0x3254cd30, "");
SYMBOL_CRC(gspca_expo_autogain, 0x8cd099cd, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x703e42d4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd8aca062, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe4d58c9e, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8dad71f4, "__v4l2_ctrl_s_ctrl" },
	{ 0x5119b24c, "vb2_ioctl_dqbuf" },
	{ 0x51f03fdb, "usb_free_coherent" },
	{ 0xfd7678f7, "vb2_ioctl_create_bufs" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xdf93fa7b, "vb2_buffer_done" },
	{ 0x8eb3a1d6, "vb2_plane_vaddr" },
	{ 0x42eb10f9, "v4l2_ctrl_subscribe_event" },
	{ 0x87a00984, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xebbb8c6e, "video_unregister_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x4db9c60d, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x1e9be48b, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xeaba7715, "vb2_vmalloc_memops" },
	{ 0x8e93b9ab, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x02d6a3c5, "vb2_fop_read" },
	{ 0x12a119b7, "v4l2_device_register" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc57f9353, "__video_register_device" },
	{ 0x0a77c1a4, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x85181f4c, "vb2_ioctl_streamon" },
	{ 0xf1d939b6, "vb2_fop_poll" },
	{ 0x4843b449, "v4l2_ctrl_g_ctrl" },
	{ 0x50a3ec72, "v4l2_ctrl_handler_free" },
	{ 0xece7aeb0, "v4l2_device_unregister" },
	{ 0x6bbf8982, "param_ops_int" },
	{ 0xbae03e8b, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc2814648, "v4l2_event_unsubscribe" },
	{ 0xffd2a6d3, "vb2_ioctl_reqbufs" },
	{ 0x9c95c96a, "vb2_queue_init" },
	{ 0x9258cc9c, "input_allocate_device" },
	{ 0x4d5b35ed, "usb_alloc_urb" },
	{ 0x80f214ef, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9300177c, "usb_free_urb" },
	{ 0x6023b48f, "v4l2_device_put" },
	{ 0xe1f66ff6, "vb2_ioctl_streamoff" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x3dedbe66, "usb_alloc_coherent" },
	{ 0x6885671d, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x10aa6b3f, "usb_ifnum_to_if" },
	{ 0xd005f0bd, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf4dc188c, "vb2_ioctl_querybuf" },
	{ 0x99c42754, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x412531b9, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6201e8b, "usb_clear_halt" },
	{ 0xc4e120af, "v4l2_ctrl_handler_setup" },
	{ 0x2d66b8ac, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1db6f6d7, "video_devdata" },
	{ 0x24c97a56, "vb2_queue_error" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,usbcore,videodev,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "DEE20B11ED5723876F1CB2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
