#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fun_submit_admin_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(fun_get_res_count, "_gpl", "");
KSYMTAB_FUNC(fun_res_destroy, "_gpl", "");
KSYMTAB_FUNC(fun_bind, "_gpl", "");
KSYMTAB_FUNC(fun_reserve_irqs, "", "");
KSYMTAB_FUNC(fun_release_irqs, "", "");
KSYMTAB_FUNC(fun_serv_stop, "_gpl", "");
KSYMTAB_FUNC(fun_serv_restart, "_gpl", "");
KSYMTAB_FUNC(fun_serv_sched, "_gpl", "");
KSYMTAB_FUNC(fun_dev_disable, "", "");
KSYMTAB_FUNC(fun_dev_enable, "", "");
KSYMTAB_FUNC(fun_alloc_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_free_ring_mem, "_gpl", "");
KSYMTAB_FUNC(fun_sq_create, "_gpl", "");
KSYMTAB_FUNC(fun_cq_create, "_gpl", "");

SYMBOL_CRC(fun_submit_admin_sync_cmd, 0x2bc318f2, "_gpl");
SYMBOL_CRC(fun_get_res_count, 0x5e086610, "_gpl");
SYMBOL_CRC(fun_res_destroy, 0xf3efb4f5, "_gpl");
SYMBOL_CRC(fun_bind, 0x2dfc1e71, "_gpl");
SYMBOL_CRC(fun_reserve_irqs, 0x153aa400, "");
SYMBOL_CRC(fun_release_irqs, 0x63a5e15b, "");
SYMBOL_CRC(fun_serv_stop, 0x906ae97c, "_gpl");
SYMBOL_CRC(fun_serv_restart, 0x485cbee7, "_gpl");
SYMBOL_CRC(fun_serv_sched, 0xf9deefdb, "_gpl");
SYMBOL_CRC(fun_dev_disable, 0xfe4b1b31, "");
SYMBOL_CRC(fun_dev_enable, 0x80c5fd03, "");
SYMBOL_CRC(fun_alloc_ring_mem, 0xcddf8714, "_gpl");
SYMBOL_CRC(fun_free_ring_mem, 0x48ac909f, "_gpl");
SYMBOL_CRC(fun_sq_create, 0x9245eb93, "_gpl");
SYMBOL_CRC(fun_cq_create, 0x1fdec38e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c724525, "pci_release_selected_regions" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x654de4c4, "pci_enable_device_mem" },
	{ 0x4b7c8650, "pci_alloc_irq_vectors" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xed81a40d, "dma_unmap_page_attrs" },
	{ 0xedc03953, "iounmap" },
	{ 0xd816f3dd, "sbitmap_queue_wake_all" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xc8286d22, "pcpu_hot" },
	{ 0x6b7473a4, "pci_irq_vector" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xcaa55e89, "__dynamic_dev_dbg" },
	{ 0x21b54592, "pci_ioremap_bar" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x54d98956, "sbitmap_queue_init_node" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1b6252b4, "dma_map_page_attrs" },
	{ 0x3e05bc3a, "__alloc_pages_noprof" },
	{ 0xea461a06, "sbitmap_prepare_to_wait" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x618911fc, "numa_node" },
	{ 0x96a899d5, "const_pcpu_hot" },
	{ 0x02653c13, "_dev_info" },
	{ 0x18652c48, "pci_select_bars" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe288c3bc, "__dma_sync_single_for_cpu" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb7a3b4c5, "dma_alloc_attrs" },
	{ 0x0ba903b6, "sbitmap_queue_clear" },
	{ 0x45a4e35d, "__put_devmap_managed_folio_refs" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x4817bf75, "pci_set_master" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7cd38c9b, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x5bc8b587, "dma_free_attrs" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x43b7ea1b, "sbitmap_finish_wait" },
	{ 0xbe8f8a98, "__dma_sync_single_for_device" },
	{ 0xcfd04435, "pcie_print_link_status" },
	{ 0x2eb8eec0, "__folio_put" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x6eddd4ca, "pci_disable_device" },
	{ 0xeb2a98cf, "dma_set_mask" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xbd8558da, "__sbitmap_queue_get" },
	{ 0xf7a03b3d, "pci_free_irq_vectors" },
	{ 0x032d41ac, "__kvmalloc_node_noprof" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x2a8d73d4, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x5a7583cd, "pci_msix_vec_count" },
	{ 0x84692280, "pci_request_selected_regions" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A3BFF49F7F2FD6833E08BC8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
