#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0xe23dca03, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x432e3d27, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x7f891afc, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0x81f8c1a8, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x25090dab, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x7b1a86d1, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0x766e8058, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0x6b95c77c, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0x8436954c, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0x5827eed0, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0xd0d9ac7d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8286d22, "pcpu_hot" },
	{ 0xe6b89934, "netif_tx_lock" },
	{ 0xfd827a4a, "usbnet_start_xmit" },
	{ 0x1e6e28e7, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x02653c13, "_dev_info" },
	{ 0x67081631, "usbnet_write_cmd" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xda6669dc, "hrtimer_active" },
	{ 0x89a55df1, "hrtimer_start_range_ns" },
	{ 0x5bb1c65c, "usbnet_read_cmd" },
	{ 0x96b9233a, "__netdev_alloc_skb" },
	{ 0x8adacd50, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfa381e60, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0xf8e834af, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x955c146f, "cdc_parse_cdc_header" },
	{ 0x10aa6b3f, "usb_ifnum_to_if" },
	{ 0x7c7cd07c, "usb_driver_claim_interface" },
	{ 0x87a00984, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x0d01757d, "usbnet_get_ethernet_addr" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0xdce3c07f, "__alloc_skb" },
	{ 0xfee9e9cd, "usbnet_manage_power" },
	{ 0xdfbd4ea7, "usbnet_cdc_update_filter" },
	{ 0x10330d54, "usbnet_open" },
	{ 0x5c7faa6c, "usbnet_stop" },
	{ 0x6e064708, "usbnet_set_rx_mode" },
	{ 0x3de8c49c, "eth_mac_addr" },
	{ 0x512dacdf, "eth_validate_addr" },
	{ 0x73a079f3, "usbnet_tx_timeout" },
	{ 0x00073bec, "dev_get_tstats64" },
	{ 0xfe6904c2, "usbnet_get_drvinfo" },
	{ 0x834e127c, "usbnet_get_msglevel" },
	{ 0x14226e40, "usbnet_set_msglevel" },
	{ 0xb7f17fef, "usbnet_nway_reset" },
	{ 0x9c516d64, "usbnet_get_link" },
	{ 0x24cb7326, "ethtool_op_get_ts_info" },
	{ 0x9c1e8ba6, "usbnet_get_link_ksettings_internal" },
	{ 0x251c7924, "usbnet_probe" },
	{ 0x70536c99, "usbnet_disconnect" },
	{ 0x43ee8a22, "usbnet_suspend" },
	{ 0xa3224b37, "usbnet_resume" },
	{ 0x6962882c, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcaa55e89, "__dynamic_dev_dbg" },
	{ 0xaef05acb, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xe664b0f3, "dev_kfree_skb_any_reason" },
	{ 0x037a0cba, "kfree" },
	{ 0x96bdf21d, "hrtimer_cancel" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0xfde768d1, "usb_driver_release_interface" },
	{ 0xdc1596a2, "usb_altnum_to_altsetting" },
	{ 0x48a3389a, "__dynamic_netdev_dbg" },
	{ 0x2c415eae, "usb_register_driver" },
	{ 0xee5582c7, "usb_deregister" },
	{ 0xabf5aff4, "usbnet_link_change" },
	{ 0x1af1b9bd, "usbnet_update_max_qlen" },
	{ 0x6a9e3e87, "usbnet_unlink_rx_urbs" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "D3DE83AE5D5E875CFE14D00");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
