#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0xbcc03adf, "_gpl");
SYMBOL_CRC(rio_query_mport, 0xbc3c04d7, "");
SYMBOL_CRC(rio_alloc_net, 0xbf7c7647, "_gpl");
SYMBOL_CRC(rio_add_net, 0x9d294a0f, "_gpl");
SYMBOL_CRC(rio_free_net, 0xaa6b5965, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x9c9f64ee, "_gpl");
SYMBOL_CRC(rio_add_device, 0xceff295d, "_gpl");
SYMBOL_CRC(rio_del_device, 0x1be4e0b3, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0x28c16fb6, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0xd3c0a630, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x9536b15e, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0xbe6e3650, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0x29bd05c2, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0xb40ae4cb, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0x6d8e5de6, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0xf2f53ab5, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x363dface, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0x0fc2fb10, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x9757cf44, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x4e07c13d, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0xd2e9f80c, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0xc2d494f3, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x5f7a3774, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0xb96311e3, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x3f5b4fed, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0x0c64d873, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x9c5910fa, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0xb4376009, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0x1b1fed4d, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0xf76a2e24, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x727008c7, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0xc39e408e, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0xcb0db801, "_gpl");
SYMBOL_CRC(rio_lock_device, 0xdbbd8e7d, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0xcd4b613c, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0x7325bd84, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0x7127a12b, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0x15105acd, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0x27339566, "_gpl");
SYMBOL_CRC(rio_request_dma, 0x036d9966, "_gpl");
SYMBOL_CRC(rio_release_dma, 0x6b0dccf6, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0xf8a2bdd1, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0x4ea6bde8, "_gpl");
SYMBOL_CRC(rio_register_scan, 0x64f439d8, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0xcc0ad9cc, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x6cb5c7e6, "_gpl");
SYMBOL_CRC(rio_register_mport, 0xeac554b9, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0xdba8a8a1, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0x1a106b62, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0xd87fd7ae, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x2541af07, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0xce756d6e, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0x4bf4c0aa, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0x794dde11, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0xe02f16eb, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0x0f1e53bb, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x98ff17b2, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0xf9889221, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0xbb463acd, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x25dad4a0, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x6b5bf5ba, "_gpl");
SYMBOL_CRC(rio_attach_device, 0xc9ac5083, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x2e285375, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x19c2de7f, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x59e52d47, "_gpl");
SYMBOL_CRC(rio_bus_type, 0xaab5211d, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x5a48209d, "_gpl");
SYMBOL_CRC(rio_dev_put, 0xd1aa8300, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea8e888b, "get_device" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xcaa55e89, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x0a918698, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbbf2990f, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0x0340c9d8, "module_put" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x999b2889, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x783a3402, "class_unregister" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x338c9040, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0x6bbf8982, "param_ops_int" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x3fc9d117, "driver_register" },
	{ 0xe7e44147, "class_register" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0x9974ee3b, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x79dd7cb0, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x763befda, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x40de06dc, "device_unregister" },
	{ 0x938e19d7, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0x52ef0da0, "dma_release_channel" },
	{ 0x9349f4cb, "device_for_each_child" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C3C1A8BC085EC9B7BCC133");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
