#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_set_ops, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_mode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_mode, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_cable_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_cable_ops, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0x8e018e5e, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0xc1870c46, "_gpl");
SYMBOL_CRC(typec_altmode_set_ops, 0x9a8f1953, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0x8efe2797, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_mode, 0x0c9d0ed3, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x18eb985f, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0xa624ef6f, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0x96bcd339, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0x4e169bca, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0xd9f821eb, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0x80b72659, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0x5c377249, "_gpl");
SYMBOL_CRC(typec_register_partner, 0xfef90535, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0x2d593cbd, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0x4d99c580, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0x4f816372, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x6b389cc3, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0x43480376, "_gpl");
SYMBOL_CRC(typec_cable_get, 0x68e59ee0, "_gpl");
SYMBOL_CRC(typec_cable_put, 0xbdf7cc11, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0xfc62ea3a, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0xf60f5180, "_gpl");
SYMBOL_CRC(typec_register_cable, 0x29f16438, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0x504309a6, "_gpl");
SYMBOL_CRC(typec_port_set_usb_mode, 0x619ce844, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0x2637996a, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0xa48f1096, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0x4dea5530, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x2bc0da30, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x183186f5, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0xb42d454e, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x24bb5306, "_gpl");
SYMBOL_CRC(typec_set_mode, 0x16daafad, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x84dfd5b8, "_gpl");
SYMBOL_CRC(typec_get_cable_svdm_version, 0xc8cafb68, "_gpl");
SYMBOL_CRC(typec_cable_set_svdm_version, 0x625de118, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0x3ce9aeeb, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0x8b3cf0db, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0x7d36fadd, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x6114626c, "_gpl");
SYMBOL_CRC(typec_port_register_cable_ops, 0xbb65dab1, "_gpl");
SYMBOL_CRC(typec_register_port, 0x204bc94e, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0x1173392f, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0x30e3c327, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x2fdf1aa9, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0x08cc75fd, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0x72f4d11f, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0x38db44c2, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0x82daedf6, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0xe74d015c, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0xa89fa059, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0xfd8de351, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0x3c15df0c, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0xfa23e9ee, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0x7643e211, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0x3070a6ed, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0xe21a3965, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0xb428a20e, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x9a7358a8, "_gpl");
SYMBOL_CRC(typec_cable_altmode_enter, 0x15a767e7, "_gpl");
SYMBOL_CRC(typec_cable_altmode_exit, 0x55dabd27, "_gpl");
SYMBOL_CRC(typec_cable_altmode_vdm, 0x81a1e709, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0x2e4f365c, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x3e016f02, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0x3a09733a, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0xb5434f2f, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0x22b0f95e, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x5c745a8c, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x49d793d2, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x855ecc1c, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0xf6846861, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0xdd1cc6fd, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0xac9521b9, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0xaac132b9, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0x38c243cc, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0x05661d0b, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0xf72cd40b, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0xbf2b7e52, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0xda173ee8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x999b2889, "driver_unregister" },
	{ 0x783a3402, "class_unregister" },
	{ 0xcc9be6b8, "device_find_child" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x338c9040, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xaef05acb, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5671216d, "fwnode_property_read_string" },
	{ 0x23fe62f9, "fwnode_property_present" },
	{ 0x00355a6f, "component_master_del" },
	{ 0xc6e966f2, "component_match_add_release" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x7a7c32af, "device_get_named_child_node" },
	{ 0xf13a6356, "component_bind_all" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0x0c1aba85, "device_match_name" },
	{ 0x74786f24, "kobject_uevent" },
	{ 0x09de9fde, "fwnode_connection_find_matches" },
	{ 0x81188c30, "match_string" },
	{ 0xc0d8f609, "component_unbind_all" },
	{ 0x3fc9d117, "driver_register" },
	{ 0xe7e44147, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x275080cd, "__dev_fwnode" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0x9974ee3b, "bus_register" },
	{ 0x3742bf1b, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x28e8c7c1, "ida_alloc_range" },
	{ 0x79dd7cb0, "try_module_get" },
	{ 0x8d5db9ef, "device_match_type" },
	{ 0x54bf8361, "is_acpi_device_node" },
	{ 0x3781be3c, "ida_destroy" },
	{ 0x763befda, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb350ea2e, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x40de06dc, "device_unregister" },
	{ 0xfede01e5, "acpi_bus_for_each_dev" },
	{ 0x3f0d586c, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0xf6c63e15, "fwnode_connection_find_match" },
	{ 0xaea512bf, "fwnode_get_next_child_node" },
	{ 0x9349f4cb, "device_for_each_child" },
	{ 0xea8e888b, "get_device" },
	{ 0xcaa55e89, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x9fb7dba9, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6453e606, "device_match_fwnode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbbf2990f, "put_device" },
	{ 0x1bd68707, "fwnode_property_read_u32_array" },
	{ 0x0340c9d8, "module_put" },
	{ 0x8d44bdfc, "sysfs_create_link" },
	{ 0xe67394fa, "fwnode_get_name" },
	{ 0x7658f3a6, "kobject_uevent_env" },
	{ 0x8c88bd28, "sysfs_update_group" },
	{ 0x65ae1f69, "bus_unregister" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x3275e80a, "device_add" },
	{ 0xd56f7226, "sysfs_remove_link" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x41e30abd, "fwnode_property_read_u16_array" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6573f300, "ida_free" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9A9993B0B66E0A1F0404BE1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
