#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0x30d61132, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xa5751f1b, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x05cf8691, "_gpl");
SYMBOL_CRC(fat_scan, 0x411c887a, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xcf345aef, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xacca4ce0, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xa8597989, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xfb04ddad, "_gpl");
SYMBOL_CRC(fat_getattr, 0x00f38b96, "_gpl");
SYMBOL_CRC(fat_setattr, 0xb76b93e2, "_gpl");
SYMBOL_CRC(fat_attach, 0x8e8bd114, "_gpl");
SYMBOL_CRC(fat_detach, 0x9ed2d112, "_gpl");
SYMBOL_CRC(fat_build_inode, 0x8f286342, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0x781bbba0, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0x1a04ea24, "_gpl");
SYMBOL_CRC(fat_param_spec, 0x5615a1d4, "_gpl");
SYMBOL_CRC(fat_parse_param, 0x37e0d3d8, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xf4bc1730, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0x2c785fe8, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x15c44c5b, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x97effe0f, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0x09afa25a, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xca3902b2, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0x594db742, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0xbd9c972c, "_gpl");
SYMBOL_CRC(fat_update_time, 0x522ad240, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb5f37d36, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x29f839ea, "block_invalidate_folio" },
	{ 0x19e097dc, "__breadahead" },
	{ 0x8d0a484e, "generic_write_end" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3f4d0fa5, "load_nls" },
	{ 0x24478ba2, "generic_cont_expand_simple" },
	{ 0xe9c66f42, "truncate_inode_pages_final" },
	{ 0xaa6faa96, "generic_file_mmap" },
	{ 0xfec9c242, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x96a899d5, "const_pcpu_hot" },
	{ 0x7a2ccf68, "ilookup" },
	{ 0x04a3aaad, "invalidate_inode_buffers" },
	{ 0xe96388ab, "blk_finish_plug" },
	{ 0x4ec19c93, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd98f5aed, "mnt_drop_write_file" },
	{ 0xd1d19993, "fs_param_is_gid" },
	{ 0x553733fa, "inode_init_once" },
	{ 0x92090393, "compat_ptr_ioctl" },
	{ 0xa38b574c, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xeaca9587, "__brelse" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0x47b249de, "generic_file_read_iter" },
	{ 0xfa4006eb, "inode_maybe_inc_iversion" },
	{ 0xa33be853, "truncate_pagecache" },
	{ 0x7f043079, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf5439e9e, "setattr_copy" },
	{ 0x7fabaaee, "__wait_on_buffer" },
	{ 0xd0000f4e, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x81dd4691, "kmem_cache_alloc_lru_noprof" },
	{ 0x02916f74, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0x4ffbf0d8, "mpage_writepages" },
	{ 0x62eec1d5, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7f31518b, "from_vfsgid" },
	{ 0x17fdf5dc, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x45add100, "d_obtain_alias" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xb7223573, "__bread_gfp" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xca83e288, "block_dirty_folio" },
	{ 0xdb3e7b27, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x8ac91ad1, "__insert_inode_hash" },
	{ 0x588a6899, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x097bb55b, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd288b008, "__kmem_cache_create_args" },
	{ 0x19b08de6, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x0eddd417, "down_read" },
	{ 0x00ff5121, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8d801bee, "generic_encode_ino32_fh" },
	{ 0xc4f4f530, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x337bf104, "igrab" },
	{ 0xb3ca9b76, "generic_read_dir" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x52bffbee, "mpage_readahead" },
	{ 0x638ceeca, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xe1756b90, "init_user_ns" },
	{ 0x2603a9b8, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0x394c8403, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xdb855992, "__lock_buffer" },
	{ 0x0fff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x82e696ba, "blkdev_issue_flush" },
	{ 0xf3f4ee2a, "generic_fh_to_parent" },
	{ 0x0ab93c9f, "__fs_parse" },
	{ 0x54ecb183, "filemap_splice_read" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x435447cc, "from_kuid_munged" },
	{ 0x56521586, "__generic_file_fsync" },
	{ 0xb87bc2cc, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xba726227, "__mark_inode_dirty" },
	{ 0x6637184e, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xd6514d9d, "unload_nls" },
	{ 0xbb53856b, "up_read" },
	{ 0x601eba77, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb7e8735e, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0x73aae4a4, "inode_set_ctime_to_ts" },
	{ 0x2bc10687, "fs_param_is_uid" },
	{ 0xde12f659, "kmem_cache_destroy" },
	{ 0x1c0be6e4, "blkdev_issue_discard" },
	{ 0xad56f2f4, "filemap_fdatawrite" },
	{ 0x005826e1, "generic_fillattr" },
	{ 0x7dfdd75f, "setattr_prepare" },
	{ 0x3a36a0f2, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x6115e47b, "sync_blockdev_nowait" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1066aba7, "make_vfsgid" },
	{ 0x07e4bfcb, "blk_start_plug" },
	{ 0xcde941e5, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x53929613, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0x27bdebf4, "fs_param_is_string" },
	{ 0x6a68226f, "new_inode" },
	{ 0xcf620ef1, "mark_buffer_dirty" },
	{ 0xd73a2b7c, "security_inode_setattr" },
	{ 0x11c31a69, "__find_get_block" },
	{ 0x7d05b988, "filemap_fdatawrite_range" },
	{ 0x83a7bf38, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x83767448, "__blockdev_direct_IO" },
	{ 0xfe240898, "d_make_root" },
	{ 0x2fb0c98c, "__bforget" },
	{ 0xb783d4ed, "sb_set_blocksize" },
	{ 0xecc0a059, "block_truncate_page" },
	{ 0x07df0c37, "write_dirty_buffer" },
	{ 0x691f3009, "sync_filesystem" },
	{ 0x3fa4bedd, "fsnotify" },
	{ 0x79478edf, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6a7d4591, "from_vfsuid" },
	{ 0x9f786051, "inode_dio_wait" },
	{ 0xf52069f0, "iunique" },
	{ 0x037a0cba, "kfree" },
	{ 0x8961fb8a, "cont_write_begin" },
	{ 0xfbc64503, "iput" },
	{ 0x3f9f4ff4, "fs_param_is_enum" },
	{ 0x836008ef, "fs_param_is_s32" },
	{ 0x05e9f3ae, "iter_file_splice_write" },
	{ 0x3da9e366, "fs_param_is_bool" },
	{ 0x114fd25e, "generic_file_write_iter" },
	{ 0x00765f71, "sync_inode_metadata" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x806dc790, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xa60b5733, "fs_param_is_u32" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EB4BC9B3B21FDF6859C3EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
