#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6t_alloc_initial_table, "_gpl", "");
KSYMTAB_FUNC(ip6t_register_table, "", "");
KSYMTAB_FUNC(ip6t_unregister_table_pre_exit, "", "");
KSYMTAB_FUNC(ip6t_unregister_table_exit, "", "");
KSYMTAB_FUNC(ip6t_do_table, "", "");

SYMBOL_CRC(ip6t_alloc_initial_table, 0x37ce2f19, "_gpl");
SYMBOL_CRC(ip6t_register_table, 0xcf456ed7, "");
SYMBOL_CRC(ip6t_unregister_table_pre_exit, 0x1f0ce952, "");
SYMBOL_CRC(ip6t_unregister_table_exit, 0x63fb5e7e, "");
SYMBOL_CRC(ip6t_do_table, 0x3cbda8d8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x96a899d5, "const_pcpu_hot" },
	{ 0x69cad0c6, "xt_request_find_table_lock" },
	{ 0xa916b694, "strnlen" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x901f96b3, "xt_table_unlock" },
	{ 0x0340c9d8, "module_put" },
	{ 0xd1e246a2, "xt_compat_unlock" },
	{ 0xa7c94f1d, "xt_compat_lock" },
	{ 0x04e27719, "xt_compat_flush_offsets" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xc7fae024, "xt_compat_calc_jump" },
	{ 0x2d10fa44, "xt_proto_fini" },
	{ 0x868be537, "xt_proto_init" },
	{ 0x42a60221, "nf_unregister_sockopt" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x807d2b2c, "xt_recseq" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5ee53526, "xt_find_table_lock" },
	{ 0x6d30133b, "xt_compat_match_to_user" },
	{ 0x999e8297, "vfree" },
	{ 0x04a2fca9, "xt_compat_target_to_user" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xd98fd325, "ns_capable" },
	{ 0xddf68fc6, "xt_find_revision" },
	{ 0x19e9ee81, "xt_match_to_user" },
	{ 0x45e1f938, "xt_target_to_user" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9c995c69, "xt_percpu_counter_alloc" },
	{ 0xc6c7f908, "xt_request_find_match" },
	{ 0x37d8e550, "xt_check_match" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xbfacb837, "xt_percpu_counter_free" },
	{ 0x913c4842, "xt_request_find_target" },
	{ 0x4ddfb4fb, "xt_check_target" },
	{ 0xc8286d22, "pcpu_hot" },
	{ 0xd3fcc511, "xt_tee_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x5e0a3b71, "ipv6_find_hdr" },
	{ 0x70c52dc5, "nf_skb_duplicated" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xd9ee9073, "nf_log_trace" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x06d8a530, "xt_unregister_table" },
	{ 0xe204e042, "xt_free_table_info" },
	{ 0xcb3e91cc, "xt_counters_alloc" },
	{ 0x064eba8e, "xt_replace_table" },
	{ 0x0d7f5fcd, "xt_alloc_entry_offsets" },
	{ 0xd87ae60d, "xt_check_entry_offsets" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x3bf9d084, "xt_check_table_hooks" },
	{ 0xfef779fa, "xt_find_jump_offset" },
	{ 0x977fd4bf, "xt_alloc_table_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x0363e0cb, "xt_register_table" },
	{ 0x1ddb50a8, "kmemdup_array" },
	{ 0xac45a20b, "nf_register_net_hooks" },
	{ 0xa25fc115, "xt_compat_check_entry_offsets" },
	{ 0xfb578fc5, "memset" },
	{ 0xc26cef58, "xt_compat_match_from_user" },
	{ 0xe54718de, "xt_compat_target_from_user" },
	{ 0xf6abeb06, "xt_copy_counters" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50d472f2, "xt_find_table" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xd954f31c, "nf_unregister_net_hooks" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x72c96ff5, "register_pernet_subsys" },
	{ 0x974f1aa3, "xt_register_targets" },
	{ 0x22902ee8, "nf_register_sockopt" },
	{ 0x02e0ea90, "xt_unregister_targets" },
	{ 0xd86f3397, "unregister_pernet_subsys" },
	{ 0x50873741, "xt_compat_init_offsets" },
	{ 0x11703a28, "xt_compat_match_offset" },
	{ 0x9137202e, "xt_compat_target_offset" },
	{ 0x823edea5, "xt_compat_add_offset" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "x_tables");


MODULE_INFO(srcversion, "07F291F1812F3464339005B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
