#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(acpi_video_get_levels, "", "");
KSYMTAB_FUNC(acpi_video_get_edid, "", "");
KSYMTAB_FUNC(acpi_video_register, "", "");
KSYMTAB_FUNC(acpi_video_unregister, "", "");
KSYMTAB_FUNC(acpi_video_register_backlight, "", "");
KSYMTAB_FUNC(acpi_video_handles_brightness_key_presses, "", "");
KSYMTAB_FUNC(__acpi_video_get_backlight_type, "", "");

SYMBOL_CRC(acpi_video_get_levels, 0x184d6cba, "");
SYMBOL_CRC(acpi_video_get_edid, 0xd3ed8683, "");
SYMBOL_CRC(acpi_video_register, 0x8826c13b, "");
SYMBOL_CRC(acpi_video_unregister, 0x7a45377b, "");
SYMBOL_CRC(acpi_video_register_backlight, 0x45b61916, "");
SYMBOL_CRC(acpi_video_handles_brightness_key_presses, 0x7cc484a5, "");
SYMBOL_CRC(__acpi_video_get_backlight_type, 0x3b7235aa, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2d66b8ac, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xbbf2990f, "put_device" },
	{ 0x6068bedf, "wmi_evaluate_method" },
	{ 0x02653c13, "_dev_info" },
	{ 0x547de37d, "pnp_get_resource" },
	{ 0x8d44bdfc, "sysfs_create_link" },
	{ 0xcd8ce890, "acpi_format_exception" },
	{ 0x81f6f70d, "acpi_dev_install_notify_handler" },
	{ 0x32e6f1a0, "acpi_video_backlight_string" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0xd56f7226, "sysfs_remove_link" },
	{ 0x1a45cb6c, "acpi_disabled" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb4043948, "acpi_execute_simple_method" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x51ff2662, "acpi_get_pci_dev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xd8df08ac, "acpi_handle_printk" },
	{ 0x0b19b445, "ioread8" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x2f384db3, "acpi_is_video_device" },
	{ 0x7cd1c692, "acpi_get_first_physical_node" },
	{ 0x39b12223, "__acpi_handle_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x9e819d6d, "input_event" },
	{ 0xe6497c9a, "acpi_match_device_ids" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8d5b67d6, "acpi_notifier_call_chain" },
	{ 0x141271bf, "acpi_dev_found" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xab5e91a2, "acpi_fetch_acpi_dev" },
	{ 0x6962882c, "param_ops_bool" },
	{ 0x7d135782, "acpi_bus_unregister_driver" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x5a4b07af, "backlight_device_register" },
	{ 0xf2ea4192, "acpi_dev_for_each_child" },
	{ 0x581002a2, "thermal_cooling_device_unregister" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xb4577003, "acpi_dev_present" },
	{ 0x6bbf8982, "param_ops_int" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x9258cc9c, "input_allocate_device" },
	{ 0xe55ae90c, "acpi_dev_get_first_match_dev" },
	{ 0xf980ce95, "acpi_device_hid" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc4508d0e, "backlight_device_unregister" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x1f766eeb, "backlight_force_update" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcb7fbabf, "pci_dev_put" },
	{ 0x804a2edd, "pci_get_device" },
	{ 0x7d12d76d, "acpi_get_parent" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xedc03953, "iounmap" },
	{ 0xd005f0bd, "input_unregister_device" },
	{ 0x037a0cba, "kfree" },
	{ 0x9706a0da, "acpi_device_fix_up_power_children" },
	{ 0x49c1bb18, "acpi_dev_remove_notify_handler" },
	{ 0x37ecf86d, "thermal_cooling_device_register" },
	{ 0xea8e888b, "get_device" },
	{ 0xcaa55e89, "__dynamic_dev_dbg" },
	{ 0xfe9ebbbb, "acpi_osi_is_win8" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x1e3b67c5, "__acpi_bus_register_driver" },
	{ 0xcab3a8e9, "pci_read_config_dword" },
	{ 0x412531b9, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "wmi");

MODULE_ALIAS("acpi*:LNXVIDEO:*");

MODULE_INFO(srcversion, "2ECEFEC70A06C65548F57D2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
