#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs_dsp_mem_region_name, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_init_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_cleanup_debugfs, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_acked_control, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_write_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_write_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_coeff_read_ctrl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_coeff_lock_and_read_ctrl, "_gpl", "");
KSYMTAB_FUNC(cs_dsp_get_ctl, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_find_alg_region, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp1_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_set_dspclk, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_up, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_power_down, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_run, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_stop, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_raw_data_block, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_read_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_write_data_word, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_remove_padding, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_adsp2_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_bus_error, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_halo_wdt_expire, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_flush, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_chunk_read, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_init, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_write, "_gpl", "FW_CS_DSP");
KSYMTAB_FUNC(cs_dsp_wseq_multi_write, "_gpl", "FW_CS_DSP");

SYMBOL_CRC(cs_dsp_mem_region_name, 0x144d6986, "_gpl");
SYMBOL_CRC(cs_dsp_init_debugfs, 0xcc01784e, "_gpl");
SYMBOL_CRC(cs_dsp_cleanup_debugfs, 0xe6c3f57c, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_acked_control, 0xd012436a, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_write_ctrl, 0x77af0b22, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_write_ctrl, 0xadf34b64, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_read_ctrl, 0xcafda13a, "_gpl");
SYMBOL_CRC(cs_dsp_coeff_lock_and_read_ctrl, 0x6a734574, "_gpl");
SYMBOL_CRC(cs_dsp_get_ctl, 0x0389049b, "_gpl");
SYMBOL_CRC(cs_dsp_find_alg_region, 0x17264c2a, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_init, 0x3f10b0c9, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_up, 0xe076cff2, "_gpl");
SYMBOL_CRC(cs_dsp_adsp1_power_down, 0xd2f9df64, "_gpl");
SYMBOL_CRC(cs_dsp_set_dspclk, 0x42dfe20c, "_gpl");
SYMBOL_CRC(cs_dsp_power_up, 0xdb3427fc, "_gpl");
SYMBOL_CRC(cs_dsp_power_down, 0x240e864d, "_gpl");
SYMBOL_CRC(cs_dsp_run, 0x555924e2, "_gpl");
SYMBOL_CRC(cs_dsp_stop, 0x9e38fd52, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_init, 0xd2b3c54a, "_gpl");
SYMBOL_CRC(cs_dsp_halo_init, 0x62d37715, "_gpl");
SYMBOL_CRC(cs_dsp_remove, 0x5799846f, "_gpl");
SYMBOL_CRC(cs_dsp_read_raw_data_block, 0x4407ab4e, "_gpl");
SYMBOL_CRC(cs_dsp_read_data_word, 0x1a8aa659, "_gpl");
SYMBOL_CRC(cs_dsp_write_data_word, 0x3f88f87b, "_gpl");
SYMBOL_CRC(cs_dsp_remove_padding, 0x4e5562f8, "_gpl");
SYMBOL_CRC(cs_dsp_adsp2_bus_error, 0x252b70f8, "_gpl");
SYMBOL_CRC(cs_dsp_halo_bus_error, 0xa1c5cd36, "_gpl");
SYMBOL_CRC(cs_dsp_halo_wdt_expire, 0xef2ca8e7, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_write, 0x6e0cce2d, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_flush, 0x9e324cb0, "_gpl");
SYMBOL_CRC(cs_dsp_chunk_read, 0xb6c0d9e7, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_init, 0x053a5034, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_write, 0xa37f1f33, "_gpl");
SYMBOL_CRC(cs_dsp_wseq_multi_write, 0xa2b1a964, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x754d539c, "strlen" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xcaa55e89, "__dynamic_dev_dbg" },
	{ 0x190ba301, "regmap_raw_write" },
	{ 0xa72e926d, "regmap_raw_read" },
	{ 0xaef05acb, "_dev_warn" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5a921311, "strncmp" },
	{ 0xd73e5458, "regmap_read" },
	{ 0x02653c13, "_dev_info" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0xc288fbed, "regmap_update_bits_base" },
	{ 0xc124535e, "regmap_write" },
	{ 0x9a2a2911, "regmap_multi_reg_write" },
	{ 0xf9742ef6, "regmap_bulk_read" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x9c012c65, "devm_kasprintf" },
	{ 0x7e993461, "debugfs_remove" },
	{ 0x999e8297, "vfree" },
	{ 0x3933ad8b, "devm_kmalloc" },
	{ 0x62161686, "devm_kfree" },
	{ 0xa916b694, "strnlen" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf6217556, "seq_lseek" },
	{ 0xd155b92f, "seq_read" },
	{ 0xda2845c3, "single_release" },
	{ 0x86d0c525, "simple_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8f38f6ea, "debugfs_create_dir" },
	{ 0x7a042b0e, "debugfs_create_bool" },
	{ 0x43ebecf0, "debugfs_create_x32" },
	{ 0xa7a8c6ea, "debugfs_create_file_full" },
	{ 0x1a6bca18, "single_open" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x394c8403, "seq_printf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "18057076C45EADAA00BFD8C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
