#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(analogix_dp_probe, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_suspend, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_resume, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_bind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_unbind, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_start_crc, "_gpl", "");
KSYMTAB_FUNC(analogix_dp_stop_crc, "_gpl", "");
KSYMTAB_FUNC(anx_dp_aux_transfer, "_gpl", "");

SYMBOL_CRC(analogix_dp_probe, 0xaf5e27a0, "_gpl");
SYMBOL_CRC(analogix_dp_suspend, 0xad1954c9, "_gpl");
SYMBOL_CRC(analogix_dp_resume, 0xa92c79a0, "_gpl");
SYMBOL_CRC(analogix_dp_bind, 0x7c575b4e, "_gpl");
SYMBOL_CRC(analogix_dp_unbind, 0x790ed2ae, "_gpl");
SYMBOL_CRC(analogix_dp_start_crc, 0xc9a6924b, "_gpl");
SYMBOL_CRC(analogix_dp_stop_crc, 0xb8eb4df4, "_gpl");
SYMBOL_CRC(anx_dp_aux_transfer, 0x3ee0dd60, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x50df7bef, "gpiod_to_irq" },
	{ 0xeb110c0e, "drm_helper_hpd_irq_event" },
	{ 0x4e2acfbd, "drm_atomic_get_old_connector_for_encoder" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbbac5543, "gpiod_get_value" },
	{ 0x201290b0, "devm_gpiod_get_optional" },
	{ 0xcaa55e89, "__dynamic_dev_dbg" },
	{ 0x4b3bcea2, "devm_clk_get" },
	{ 0x598b43cd, "drm_atomic_helper_bridge_reset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xcee71332, "drm_connector_attach_encoder" },
	{ 0xcf5b8daa, "drm_atomic_get_new_connector_for_encoder" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x28df5a87, "drm_edid_connector_update" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x28284d9c, "pm_runtime_enable" },
	{ 0x5e98ac62, "drm_atomic_helper_connector_destroy_state" },
	{ 0x2e02a8a4, "drm_dev_printk" },
	{ 0xeeddcb42, "drm_dp_stop_crc" },
	{ 0x6600b88e, "drm_panel_disable" },
	{ 0x6e1d04d3, "drm_connector_init" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x9abcc16f, "drm_dp_aux_unregister" },
	{ 0x29b90dab, "drm_edid_connector_add_modes" },
	{ 0x94635e05, "platform_get_resource" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x59125c05, "phy_power_on" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xaef05acb, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb8bc05e1, "drm_atomic_helper_connector_duplicate_state" },
	{ 0x68aaeec9, "phy_power_off" },
	{ 0x0e8b06cd, "drm_connector_cleanup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd73e5458, "regmap_read" },
	{ 0xc0bdfd32, "regmap_bulk_write" },
	{ 0xcb08b4db, "drm_atomic_helper_bridge_destroy_state" },
	{ 0xd1f12d67, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xead9933c, "devm_ioremap_resource" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xf9742ef6, "regmap_bulk_read" },
	{ 0xdc169d66, "drm_helper_probe_single_connector_modes" },
	{ 0x5135a7b0, "drm_panel_prepare" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9b285573, "drm_match_cea_mode" },
	{ 0xfabc7bf6, "drm_bridge_attach" },
	{ 0xc288fbed, "regmap_update_bits_base" },
	{ 0xd3459aba, "drm_atomic_helper_connector_reset" },
	{ 0xbea56b68, "__pm_runtime_suspend" },
	{ 0x342dbf5f, "__pm_runtime_use_autosuspend" },
	{ 0xb74266b8, "devm_phy_get" },
	{ 0xa1a9db39, "drm_atomic_helper_bridge_duplicate_state" },
	{ 0x236003bf, "__pm_runtime_disable" },
	{ 0x815588a6, "clk_enable" },
	{ 0x353bff12, "drm_dp_dpcd_write" },
	{ 0x0966c679, "drm_panel_unprepare" },
	{ 0x86a227d9, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x83f94a82, "drm_edid_read_ddc" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xe8143e64, "drm_dp_start_crc" },
	{ 0xc3cd6638, "drm_panel_get_modes" },
	{ 0xc124535e, "regmap_write" },
	{ 0x53c833fa, "devm_request_threaded_irq" },
	{ 0x07a8d341, "drm_dp_aux_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x3933ad8b, "devm_kmalloc" },
	{ 0x84bb3470, "drm_dp_dpcd_read" },
	{ 0x7eaab1f3, "drm_panel_enable" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5d6c263e, "platform_get_irq" },
	{ 0xad7d7b24, "pm_runtime_set_autosuspend_delay" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "drm_display_helper");


MODULE_INFO(srcversion, "C91821136827AFD0A14DC63");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
