#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ipu6_configure_spc, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_single, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_sync_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_alloc, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_free, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_unmap_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_map_sg, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_map_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_dma_unmap_sgtable, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_mmu_hw_init, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_mmu_hw_cleanup, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_auth_done, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_map_fw_image, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_unmap_fw_image, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_start_tsc_sync, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_tsc_read, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_buttress_tsc_ticks_to_ns, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_cpd_create_pkg_dir, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_cpd_free_pkg_dir, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_prepare, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_open, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_close, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_release, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_fw_com_ready, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_send_get_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_send_put_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_recv_get_token, "_gpl", "INTEL_IPU6");
KSYMTAB_FUNC(ipu6_recv_put_token, "_gpl", "INTEL_IPU6");

SYMBOL_CRC(ipu6_configure_spc, 0x21e0c3a0, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_single, 0x8c3ab53a, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_sg, 0x9ea7c93d, "_gpl");
SYMBOL_CRC(ipu6_dma_sync_sgtable, 0x57f70f18, "_gpl");
SYMBOL_CRC(ipu6_dma_alloc, 0xc2827688, "_gpl");
SYMBOL_CRC(ipu6_dma_free, 0xcfb0ad75, "_gpl");
SYMBOL_CRC(ipu6_dma_unmap_sg, 0xbb170b65, "_gpl");
SYMBOL_CRC(ipu6_dma_map_sg, 0xfd4f8cb0, "_gpl");
SYMBOL_CRC(ipu6_dma_map_sgtable, 0x07304d88, "_gpl");
SYMBOL_CRC(ipu6_dma_unmap_sgtable, 0x2d1e78ec, "_gpl");
SYMBOL_CRC(ipu6_mmu_hw_init, 0xd2c7236a, "_gpl");
SYMBOL_CRC(ipu6_mmu_hw_cleanup, 0x1404abe4, "_gpl");
SYMBOL_CRC(ipu6_buttress_auth_done, 0x302c01e6, "_gpl");
SYMBOL_CRC(ipu6_buttress_map_fw_image, 0x5009ce40, "_gpl");
SYMBOL_CRC(ipu6_buttress_unmap_fw_image, 0xaa4434e0, "_gpl");
SYMBOL_CRC(ipu6_buttress_start_tsc_sync, 0x692ae55b, "_gpl");
SYMBOL_CRC(ipu6_buttress_tsc_read, 0xbb5fadf6, "_gpl");
SYMBOL_CRC(ipu6_buttress_tsc_ticks_to_ns, 0xea740515, "_gpl");
SYMBOL_CRC(ipu6_cpd_create_pkg_dir, 0x149c4df9, "_gpl");
SYMBOL_CRC(ipu6_cpd_free_pkg_dir, 0x412df9f7, "_gpl");
SYMBOL_CRC(ipu6_fw_com_prepare, 0x891b295b, "_gpl");
SYMBOL_CRC(ipu6_fw_com_open, 0xe4173880, "_gpl");
SYMBOL_CRC(ipu6_fw_com_close, 0xa4ea9101, "_gpl");
SYMBOL_CRC(ipu6_fw_com_release, 0x246154f7, "_gpl");
SYMBOL_CRC(ipu6_fw_com_ready, 0x543b7d9f, "_gpl");
SYMBOL_CRC(ipu6_send_get_token, 0xdd435b9b, "_gpl");
SYMBOL_CRC(ipu6_send_put_token, 0x093c1399, "_gpl");
SYMBOL_CRC(ipu6_recv_get_token, 0x42507517, "_gpl");
SYMBOL_CRC(ipu6_recv_put_token, 0x962f3d15, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8c85086, "sg_free_table" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x4d034464, "pci_ats_supported" },
	{ 0xed81a40d, "dma_unmap_page_attrs" },
	{ 0xa1fcfef6, "request_firmware" },
	{ 0xeb822323, "__pci_register_driver" },
	{ 0x7fc43378, "pm_runtime_get_if_active" },
	{ 0xc7061ef3, "iova_cache_put" },
	{ 0x004be209, "pci_disable_msi" },
	{ 0x69acdf38, "memcpy" },
	{ 0x94961283, "vunmap" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9f763c44, "ipu_bridge_init" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xcaa55e89, "__dynamic_dev_dbg" },
	{ 0x926d5b7b, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdf472833, "__free_iova" },
	{ 0x9f0f5386, "dev_driver_string" },
	{ 0xb6ccb10f, "pm_generic_runtime_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1b6252b4, "dma_map_page_attrs" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xbbf2990f, "put_device" },
	{ 0x1812d2fc, "devm_free_irq" },
	{ 0x28284d9c, "pm_runtime_enable" },
	{ 0xe09aca05, "alloc_iova" },
	{ 0x4e23a563, "__free_pages" },
	{ 0x02653c13, "_dev_info" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x9ce7cdae, "split_page" },
	{ 0x375bb08b, "pm_generic_runtime_suspend" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9d0ba33c, "pcim_iomap_regions" },
	{ 0x4accb499, "vm_insert_page" },
	{ 0xd51cd461, "devm_kmemdup" },
	{ 0xfc2db7b4, "put_iova_domain" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x943d22d0, "__auxiliary_device_add" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xaa10338a, "vmap" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xa5dc1efb, "device_del" },
	{ 0x4c1ddcc2, "sg_alloc_table_from_pages_segment" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0xaef05acb, "_dev_warn" },
	{ 0x4817bf75, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cb67707, "ipu_bridge_parse_ssdb" },
	{ 0x0c805f93, "clflush_cache_range" },
	{ 0x7cd38c9b, "dma_set_coherent_mask" },
	{ 0x668b3729, "pv_ops" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xa9c58c85, "pm_runtime_forbid" },
	{ 0x999e8297, "vfree" },
	{ 0xd3837fb2, "pm_runtime_allow" },
	{ 0xd1f12d67, "__pm_runtime_resume" },
	{ 0xbf272bbc, "dma_map_sgtable" },
	{ 0x40dca100, "init_iova_domain" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0x9681419b, "alloc_pages_noprof" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0xeb2a98cf, "dma_set_mask" },
	{ 0x90019382, "dev_err_probe" },
	{ 0x5fd0d6cf, "dma_unmap_sg_attrs" },
	{ 0xd14e5bc6, "pcim_iomap_table" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xc9f4b56f, "pcim_enable_device" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x236003bf, "__pm_runtime_disable" },
	{ 0x032d41ac, "__kvmalloc_node_noprof" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x926fd8d1, "find_iova" },
	{ 0x86a227d9, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x438d8df2, "iova_cache_get" },
	{ 0x53c833fa, "devm_request_threaded_irq" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x3933ad8b, "devm_kmalloc" },
	{ 0x32925555, "pci_disable_ats" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x4ccd38f7, "auxiliary_device_init" },
	{ 0xd7882db0, "vmalloc_to_page" },
	{ 0x4b7c8650, "pci_alloc_irq_vectors" },
	{ 0x065b45cb, "complete" },
	{ 0xb242dba8, "dev_pm_domain_set" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "ipu-bridge");

MODULE_ALIAS("pci:v00008086d00009A19sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00004E19sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000465Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000462Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A75Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d00007D19sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "032B1581A176A76CF121DBC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
