#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0xa585b0d5, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0xf1aaec21, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x987bd5c3, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0x7dd80848, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0x8670fe76, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0xab6992db, "_gpl");
SYMBOL_CRC(is_fw_load, 0x1a6452b3, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0xd5a03afe, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0xe1a505bf, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x3ceec619, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0xd0e0a9e5, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0x71f4f087, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0xdcc38e3e, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0x9fbe6498, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x1168ff16, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0xcfb6c5a4, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0x6bed83bd, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0xd11134b9, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x07921a80, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x8200a3bf, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x4e0e58b7, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0xea94a155, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6201e8b, "usb_clear_halt" },
	{ 0x15cb0bf8, "usb_put_dev" },
	{ 0xfa86ec3d, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1db6f6d7, "video_devdata" },
	{ 0xd8aca062, "vb2_fop_release" },
	{ 0x1a62d3c9, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x0821c522, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe4d58c9e, "usb_submit_urb" },
	{ 0x02653c13, "_dev_info" },
	{ 0x3d2d7f57, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7f3ab828, "media_device_register_entity" },
	{ 0x76695478, "media_device_cleanup" },
	{ 0x5119b24c, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x5fe987a9, "i2c_unregister_device" },
	{ 0x51f03fdb, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x89548bbd, "usb_control_msg" },
	{ 0xdf93fa7b, "vb2_buffer_done" },
	{ 0x8eb3a1d6, "vb2_plane_vaddr" },
	{ 0x42eb10f9, "v4l2_ctrl_subscribe_event" },
	{ 0x87a00984, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x32a44d15, "media_entity_pads_init" },
	{ 0xebbb8c6e, "video_unregister_device" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xad715e40, "i2c_new_client_device" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0xee5582c7, "usb_deregister" },
	{ 0x4db9c60d, "vb2_ioctl_qbuf" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x1e9be48b, "vb2_fop_mmap" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xe57f4f38, "v4l2_s_ctrl" },
	{ 0x5046116c, "i2c_mux_alloc" },
	{ 0xeaba7715, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0xaef05acb, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x02d6a3c5, "vb2_fop_read" },
	{ 0x12a119b7, "v4l2_device_register" },
	{ 0x88aa0490, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2dddc19f, "rc_allocate_device" },
	{ 0x668b3729, "pv_ops" },
	{ 0xad606864, "usb_unlink_urb" },
	{ 0x6e3faeaa, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc57f9353, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0x0a77c1a4, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x85181f4c, "vb2_ioctl_streamon" },
	{ 0xb9949718, "v4l2_mc_create_media_graph" },
	{ 0xf1d939b6, "vb2_fop_poll" },
	{ 0x8cf72711, "cx2341x_handler_init" },
	{ 0xcaafcbfd, "cx2341x_handler_set_50hz" },
	{ 0x71915ea9, "__media_device_usb_init" },
	{ 0x50a3ec72, "v4l2_ctrl_handler_free" },
	{ 0x6321162c, "i2c_transfer" },
	{ 0xece7aeb0, "v4l2_device_unregister" },
	{ 0xbda5d05e, "usb_reset_endpoint" },
	{ 0xe0120e71, "i2c_mux_del_adapters" },
	{ 0x0dbf0296, "tveeprom_hauppauge_analog" },
	{ 0xb71914c6, "v4l2_subdev_call_wrappers" },
	{ 0xa3a1da9c, "v4l2_ctrl_log_status" },
	{ 0x1281beb1, "v4l2_i2c_new_subdev" },
	{ 0x6bbf8982, "param_ops_int" },
	{ 0xbae03e8b, "video_device_release_empty" },
	{ 0xabff5706, "i2c_mux_add_adapter" },
	{ 0xeb09f5c4, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc2814648, "v4l2_event_unsubscribe" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xffd2a6d3, "vb2_ioctl_reqbufs" },
	{ 0x9c95c96a, "vb2_queue_init" },
	{ 0x4d5b35ed, "usb_alloc_urb" },
	{ 0xbf3f1e67, "v4l2_ctrl_poll" },
	{ 0x80f214ef, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7d007a10, "media_device_unregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9300177c, "usb_free_urb" },
	{ 0x3933ad8b, "devm_kmalloc" },
	{ 0xe1f66ff6, "vb2_ioctl_streamoff" },
	{ 0xa5182d28, "v4l2_ctrl_radio_filter" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x3dedbe66, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x16c8439f, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xa1fcfef6, "request_firmware" },
	{ 0x2c415eae, "usb_register_driver" },
	{ 0x899ed808, "v4l2_ctrl_handler_init_class" },
	{ 0x938e19d7, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x3f2ba531, "__media_device_register" },
	{ 0xf4dc188c, "vb2_ioctl_querybuf" },
	{ 0xaac7126f, "i2c_transfer_buffer_flags" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x99c42754, "v4l2_fh_open" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xcaa55e89, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "781023BA97FDA02ACD52B72");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
