#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0x2da64d8a, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0x20f3eeae, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0xe4d57988, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0x986e4c04, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0x75209950, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0x4d46f019, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0x70959a15, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0x4a4124c7, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0x25b71088, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0x19b51060, "_gpl");
SYMBOL_CRC(__v4l2_async_register_subdev, 0x2fba202d, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0x5ed45b01, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0195ab0f, "i2c_verify_client" },
	{ 0x8f38f6ea, "debugfs_create_dir" },
	{ 0xa7a8c6ea, "debugfs_create_file_full" },
	{ 0x1a6bca18, "single_open" },
	{ 0x7e993461, "debugfs_remove" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x394c8403, "seq_printf" },
	{ 0x23fe62f9, "fwnode_property_present" },
	{ 0xc4dce4ef, "fwnode_graph_get_port_parent" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x3f22e16c, "fwnode_handle_get" },
	{ 0x037a0cba, "kfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf81deee5, "v4l2_device_unregister_subdev" },
	{ 0x8bfc2e07, "v4l2_subdev_put_privacy_led" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x60dce9d8, "fwnode_graph_get_remote_endpoint" },
	{ 0xcaa55e89, "__dynamic_dev_dbg" },
	{ 0x275080cd, "__dev_fwnode" },
	{ 0x28044b94, "__v4l2_device_register_subdev" },
	{ 0x9b6d653d, "media_create_ancillary_link" },
	{ 0xaef05acb, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0xf6217556, "seq_lseek" },
	{ 0xd155b92f, "seq_read" },
	{ 0xda2845c3, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "5BA6B5B7A07FBD1A4525A8B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
