#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qede_rdma_register_driver, "", "");
KSYMTAB_FUNC(qede_rdma_unregister_driver, "", "");

SYMBOL_CRC(qede_rdma_register_driver, 0xbff5dcb3, "");
SYMBOL_CRC(qede_rdma_unregister_driver, 0x23e6dd3f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x0274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9e7900a5, "rps_may_expire_flow" },
	{ 0xc96adc69, "netdev_reset_tc" },
	{ 0x5bc8b587, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbe8f8a98, "__dma_sync_single_for_device" },
	{ 0xae02106f, "bpf_prog_add" },
	{ 0xf8cb6da1, "xdp_rxq_info_unreg" },
	{ 0xf6c73c8e, "__xdp_rxq_info_reg" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x14e64f76, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0957983e, "devlink_priv" },
	{ 0x87b2a8fc, "tcp_gro_complete" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x21106d32, "netif_carrier_on" },
	{ 0xd106cbe5, "netdev_set_num_tc" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x9681419b, "alloc_pages_noprof" },
	{ 0x44320d80, "skb_add_rx_frag_netmem" },
	{ 0x821058c8, "xdp_master_redirect" },
	{ 0x334d6784, "__napi_schedule_irqoff" },
	{ 0x9ae404c8, "napi_schedule_prep" },
	{ 0xfdb655cf, "napi_disable" },
	{ 0xe664b0f3, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xc1c5cd5f, "flow_rule_match_control" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x47f968c0, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdd774558, "__tracepoint_xdp_exception" },
	{ 0xed6d7f72, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x82e7d6bb, "qed_get_eth_ops" },
	{ 0xd3971326, "bpf_prog_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x004f5214, "skb_copy_bits" },
	{ 0x1d106e0c, "param_ops_uint" },
	{ 0x7660f351, "ethtool_rx_flow_rule_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8adacd50, "skb_put" },
	{ 0x05895e4b, "skb_tstamp_tx" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xabdeeb7e, "ethtool_forced_speed_maps_init" },
	{ 0x95e1e716, "consume_skb" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5d6d6d98, "bpf_warn_invalid_xdp_action" },
	{ 0x422d6cc2, "unregister_netdev" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xed81a40d, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0xeb822323, "__pci_register_driver" },
	{ 0xeb2ebe5e, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb1814dd7, "ptp_clock_index" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xc8286d22, "pcpu_hot" },
	{ 0xda4e6d4f, "xdp_do_redirect" },
	{ 0x512dacdf, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xf7da35d0, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x81613b5a, "udp_tunnel_nic_ops" },
	{ 0xef803d6a, "flow_rule_match_ipv4_addrs" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x926d5b7b, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xd8289779, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9f0f5386, "dev_driver_string" },
	{ 0xf7b43b6c, "dev_addr_mod" },
	{ 0x5022f7dc, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x1f916344, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1b6252b4, "dma_map_page_attrs" },
	{ 0x17beef50, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0xac44872b, "netif_device_detach" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4e23a563, "__free_pages" },
	{ 0x02653c13, "_dev_info" },
	{ 0xa79ed84d, "napi_gro_receive" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x777265e7, "netdev_pick_tx" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xafbdd7cc, "xdp_rxq_info_is_reg" },
	{ 0x0aa80c63, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a28dd61, "flow_rule_match_basic" },
	{ 0x5dd3f55b, "build_skb" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x3ec35c59, "softnet_data" },
	{ 0x6a78fe70, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x91d90ef2, "ptp_clock_register" },
	{ 0x28dfe35b, "netif_set_real_num_tx_queues" },
	{ 0x8bbdf899, "netif_set_real_num_rx_queues" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa8efeb1e, "ethtool_rx_flow_rule_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb7a3b4c5, "dma_alloc_attrs" },
	{ 0x38ac7199, "napi_enable" },
	{ 0x9eeeef48, "qed_put_eth_ops" },
	{ 0x0b3d654c, "register_netdev" },
	{ 0xaf54dd01, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x922ae397, "__SCK__tp_func_xdp_exception" },
	{ 0x2f4580ba, "netif_tx_wake_queue" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x7caabc07, "flow_rule_match_ports" },
	{ 0xd574bc18, "netif_schedule_queue" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x39b207a7, "flow_rule_match_ipv6_addrs" },
	{ 0x25eae3ed, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x1afdb8cf, "ptp_clock_unregister" },
	{ 0xabb26413, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x96b9233a, "__netdev_alloc_skb" },
	{ 0xa6c70daf, "__netif_napi_del_locked" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "qed");

MODULE_ALIAS("pci:v00001077d00001634sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001666sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001636sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001644sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001654sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001656sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00001664sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008070sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001077d00008090sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "08AA15F3FE0350E10D43251");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
