#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ath11k_debug_mask, "", "");
KSYMTAB_FUNC(ath11k_core_suspend, "", "");
KSYMTAB_FUNC(ath11k_core_suspend_late, "", "");
KSYMTAB_FUNC(ath11k_core_resume_early, "", "");
KSYMTAB_FUNC(ath11k_core_resume, "", "");
KSYMTAB_FUNC(ath11k_core_pre_init, "", "");
KSYMTAB_FUNC(ath11k_core_pm_notifier_unregister, "", "");
KSYMTAB_FUNC(ath11k_core_init, "", "");
KSYMTAB_FUNC(ath11k_core_deinit, "", "");
KSYMTAB_FUNC(ath11k_core_free, "", "");
KSYMTAB_FUNC(ath11k_core_alloc, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_init, "", "");
KSYMTAB_FUNC(ath11k_hal_srng_deinit, "", "");
KSYMTAB_DATA(ath11k_cold_boot_cal, "", "");
KSYMTAB_FUNC(ath11k_qmi_fwreset_from_cold_boot, "", "");
KSYMTAB_FUNC(ath11k_qmi_deinit_service, "", "");
KSYMTAB_FUNC(ath11k_dp_service_srng, "", "");
KSYMTAB_FUNC(ath11k_info, "", "");
KSYMTAB_FUNC(ath11k_err, "", "");
KSYMTAB_FUNC(ath11k_warn, "", "");
KSYMTAB_FUNC(ath11k_ce_per_engine_service, "", "");
KSYMTAB_FUNC(ath11k_ce_get_shadow_config, "", "");
KSYMTAB_FUNC(ath11k_ce_cleanup_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_rx_post_buf, "", "");
KSYMTAB_FUNC(ath11k_ce_free_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_alloc_pipes, "", "");
KSYMTAB_FUNC(ath11k_ce_get_attr_flags, "", "");
KSYMTAB_FUNC(ath11k_pcic_init_msi_config, "", "");
KSYMTAB_FUNC(ath11k_pcic_write32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read32, "", "");
KSYMTAB_FUNC(ath11k_pcic_read, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_msi_address, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_user_msi_assignment, "", "");
KSYMTAB_FUNC(ath11k_pcic_get_ce_msi_idx, "", "");
KSYMTAB_FUNC(ath11k_pcic_free_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ext_irq_disable, "", "");
KSYMTAB_FUNC(ath11k_pcic_config_irq, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irqs_enable, "", "");
KSYMTAB_FUNC(ath11k_pcic_ce_irq_disable_sync, "", "");
KSYMTAB_FUNC(ath11k_pcic_stop, "", "");
KSYMTAB_FUNC(ath11k_pcic_start, "", "");
KSYMTAB_FUNC(ath11k_pcic_map_service_to_pipe, "", "");
KSYMTAB_FUNC(ath11k_pcic_register_pci_ops, "", "");
KSYMTAB_FUNC(ath11k_pci_enable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_pci_disable_ce_irqs_except_wake_irq, "", "");
KSYMTAB_FUNC(ath11k_fw_destroy, "", "");

SYMBOL_CRC(ath11k_debug_mask, 0x9c51bcc4, "");
SYMBOL_CRC(ath11k_core_suspend, 0x252afe9f, "");
SYMBOL_CRC(ath11k_core_suspend_late, 0xd9d02583, "");
SYMBOL_CRC(ath11k_core_resume_early, 0x3faf4a24, "");
SYMBOL_CRC(ath11k_core_resume, 0x1d5f0a78, "");
SYMBOL_CRC(ath11k_core_pre_init, 0x739235cc, "");
SYMBOL_CRC(ath11k_core_pm_notifier_unregister, 0x35dd8bd1, "");
SYMBOL_CRC(ath11k_core_init, 0x20c9a262, "");
SYMBOL_CRC(ath11k_core_deinit, 0xc4c25e78, "");
SYMBOL_CRC(ath11k_core_free, 0xd90b3add, "");
SYMBOL_CRC(ath11k_core_alloc, 0xb05ce794, "");
SYMBOL_CRC(ath11k_hal_srng_init, 0x247b414d, "");
SYMBOL_CRC(ath11k_hal_srng_deinit, 0xaa91d5d8, "");
SYMBOL_CRC(ath11k_cold_boot_cal, 0xf0197188, "");
SYMBOL_CRC(ath11k_qmi_fwreset_from_cold_boot, 0xe0b36f3e, "");
SYMBOL_CRC(ath11k_qmi_deinit_service, 0x358e4dd9, "");
SYMBOL_CRC(ath11k_dp_service_srng, 0x65d6a5a2, "");
SYMBOL_CRC(ath11k_info, 0xd93a2309, "");
SYMBOL_CRC(ath11k_err, 0xd6bf8188, "");
SYMBOL_CRC(ath11k_warn, 0xbf9443c9, "");
SYMBOL_CRC(ath11k_ce_per_engine_service, 0x923a63fd, "");
SYMBOL_CRC(ath11k_ce_get_shadow_config, 0xb93574c4, "");
SYMBOL_CRC(ath11k_ce_cleanup_pipes, 0xf6d44c0d, "");
SYMBOL_CRC(ath11k_ce_rx_post_buf, 0xa9470036, "");
SYMBOL_CRC(ath11k_ce_free_pipes, 0x5aa16809, "");
SYMBOL_CRC(ath11k_ce_alloc_pipes, 0x61b1d3b6, "");
SYMBOL_CRC(ath11k_ce_get_attr_flags, 0xac032939, "");
SYMBOL_CRC(ath11k_pcic_init_msi_config, 0x01f03caf, "");
SYMBOL_CRC(ath11k_pcic_write32, 0x2453b9d2, "");
SYMBOL_CRC(ath11k_pcic_read32, 0xd9982574, "");
SYMBOL_CRC(ath11k_pcic_read, 0x1c9c6bdf, "");
SYMBOL_CRC(ath11k_pcic_get_msi_address, 0xa2d33f97, "");
SYMBOL_CRC(ath11k_pcic_get_user_msi_assignment, 0xf540e546, "");
SYMBOL_CRC(ath11k_pcic_get_ce_msi_idx, 0x8e881a21, "");
SYMBOL_CRC(ath11k_pcic_free_irq, 0x1d6e2a19, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_enable, 0xf137a3b0, "");
SYMBOL_CRC(ath11k_pcic_ext_irq_disable, 0x3c92c2c0, "");
SYMBOL_CRC(ath11k_pcic_config_irq, 0xfe1bb997, "");
SYMBOL_CRC(ath11k_pcic_ce_irqs_enable, 0x7c65a82c, "");
SYMBOL_CRC(ath11k_pcic_ce_irq_disable_sync, 0xde1910b9, "");
SYMBOL_CRC(ath11k_pcic_stop, 0x5d24cc32, "");
SYMBOL_CRC(ath11k_pcic_start, 0xa4e089fd, "");
SYMBOL_CRC(ath11k_pcic_map_service_to_pipe, 0x40c4a445, "");
SYMBOL_CRC(ath11k_pcic_register_pci_ops, 0x33e6e99f, "");
SYMBOL_CRC(ath11k_pci_enable_ce_irqs_except_wake_irq, 0xefee418f, "");
SYMBOL_CRC(ath11k_pci_disable_ce_irqs_except_wake_irq, 0xbdc8ce3f, "");
SYMBOL_CRC(ath11k_fw_destroy, 0xe38520ac, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x55c3e942, "ieee80211_wake_queues" },
	{ 0xaf54dd01, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf127a719, "qmi_txn_init" },
	{ 0x9a2fccf3, "ieee80211_report_low_ack" },
	{ 0x1d293f0e, "ieee80211_beacon_get_template" },
	{ 0xde80cd09, "ioremap" },
	{ 0x92a10af8, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd5a2a0a6, "ieee80211_free_txskb" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x4123ac2a, "ieee80211_alloc_hw_nm" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9c9f5573, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9b15cccc, "kernel_connect" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0xb82dbf1f, "devm_hwmon_device_register_with_groups" },
	{ 0xfb578fc5, "memset" },
	{ 0xaef05acb, "_dev_warn" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x7c983a5d, "dmi_walk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x833e1bd4, "ieee80211_beacon_free_ema_list" },
	{ 0x96b9233a, "__netdev_alloc_skb" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0xe668d79f, "ieee80211_ready_on_channel" },
	{ 0xbb7852a4, "ieee80211_stop_queues" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x77b41450, "skb_trim" },
	{ 0x6d0dcc06, "qmi_handle_release" },
	{ 0xa6c70daf, "__netif_napi_del_locked" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x668b3729, "pv_ops" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x3abd1692, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfaae0b27, "ieee80211_vif_to_wdev" },
	{ 0x850eb228, "alloc_netdev_dummy" },
	{ 0x5bc8b587, "dma_free_attrs" },
	{ 0xa6ab9899, "rhashtable_init_noprof" },
	{ 0x11daca73, "ieee80211_scan_completed" },
	{ 0x701ec367, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x94d44fc5, "crypto_shash_final" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6962882c, "param_ops_bool" },
	{ 0xd00db093, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x2e5f02db, "ieee80211_color_change_finish" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xd6b82897, "ieee80211_radar_detected" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x581002a2, "thermal_cooling_device_unregister" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xac81fee8, "ieee80211_queue_work" },
	{ 0x9ae404c8, "napi_schedule_prep" },
	{ 0x754d539c, "strlen" },
	{ 0xfdb655cf, "napi_disable" },
	{ 0xe664b0f3, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x0cb62b88, "regulatory_set_wiphy_regd" },
	{ 0xe68cdd96, "cfg80211_chandef_dfs_cac_time" },
	{ 0x35e326f6, "crypto_alloc_shash" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x13fdb064, "ieee80211_beacon_get_template_ema_list" },
	{ 0xfa01e546, "qmi_add_lookup" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xce4e401f, "__cfg80211_get_bss" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0x050877b9, "dmi_first_match" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0x00758289, "ieee80211_csa_finish" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcf7e5941, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xd4ff20ee, "ieee80211_beacon_update_cntdwn" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb9f54167, "ieee80211_gtk_rekey_notify" },
	{ 0x2cf2378c, "device_set_wakeup_enable" },
	{ 0x98c178d2, "completion_done" },
	{ 0x167f41fa, "cfg80211_chandef_dfs_usable" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xe47905a8, "ieee80211_connection_loss" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x791de2ba, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x1d106e0c, "param_ops_uint" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x8adacd50, "skb_put" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4cd2fe40, "qmi_response_type_v01_ei" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x00040c1b, "firmware_request_nowarn" },
	{ 0x86dda0f0, "qmi_handle_init" },
	{ 0x95e1e716, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x065b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5aca3410, "device_get_mac_address" },
	{ 0x749548c5, "ieee80211_get_unsol_bcast_probe_resp_tmpl" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xfc86695c, "skb_dequeue" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x9996d0f1, "ieee80211_free_hw" },
	{ 0xed81a40d, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x96848186, "scnprintf" },
	{ 0x7721b4ec, "ieee80211_iterate_stations_atomic" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0x4330caad, "devm_ioremap" },
	{ 0xedc03953, "iounmap" },
	{ 0xbae0fd96, "ieee80211_tx_status_ext" },
	{ 0x69acdf38, "memcpy" },
	{ 0x32ce34a8, "ieee80211_beacon_loss" },
	{ 0x037a0cba, "kfree" },
	{ 0x2c3a7933, "ieee80211_get_fils_discovery_tmpl" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0xc8286d22, "pcpu_hot" },
	{ 0x37ecf86d, "thermal_cooling_device_register" },
	{ 0x6fff784c, "ieee80211_register_hw" },
	{ 0xf7da35d0, "netif_napi_add_weight_locked" },
	{ 0x09f04520, "ieee80211_restart_hw" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3d8289c4, "ieee80211_get_hdrlen_from_skb" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xc48725b6, "ieee80211_hw_restart_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb2272393, "pskb_expand_head" },
	{ 0x9f0f5386, "dev_driver_string" },
	{ 0x463060e9, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd10082de, "ieee80211_find_sta" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1b6252b4, "dma_map_page_attrs" },
	{ 0x01e47338, "qmi_send_request" },
	{ 0x17beef50, "napi_complete_done" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xce2545c0, "ieee80211_handle_wake_tx_queue" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5bb01822, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0x2ed68ae3, "ieee80211_iter_chan_contexts_atomic" },
	{ 0x573a617f, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x417307c7, "cfg80211_put_bss" },
	{ 0x09af842d, "idr_get_next" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb5f4d680, "qmi_txn_wait" },
	{ 0x02653c13, "_dev_info" },
	{ 0x91345268, "skb_queue_tail" },
	{ 0x18401a8e, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8d44bdfc, "sysfs_create_link" },
	{ 0x20076b4a, "ieee80211_obss_color_collision_notify" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0xe6c7d9b9, "wiphy_to_ieee80211_hw" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xf0ef2d5d, "__skb_get_hash_net" },
	{ 0xe288c3bc, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x54393ccd, "ieee80211_queue_delayed_work" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x6e62f1ee, "crypto_shash_setkey" },
	{ 0x7cb70b02, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5396cee8, "qmi_txn_cancel" },
	{ 0xd56f7226, "sysfs_remove_link" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x9ead9ab7, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc080cdd7, "ieee80211_find_sta_by_ifaddr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x00f02138, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9deac6ce, "skb_push" },
	{ 0xb7a3b4c5, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x38ac7199, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0x0de71368, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "mac80211,qmi_helpers,cfg80211");


MODULE_INFO(srcversion, "224D11557F24134CD9A24E8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
