#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0xd1d785b7, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x7746d720, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0xc605151c, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0x80856147, "_gpl");
SYMBOL_CRC(mt76x0_set_channel, 0xc2dcb896, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xfb70991f, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x22d45ce9, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x3624a7a8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4772fda7, "mt76x02_mac_shared_key_setup" },
	{ 0x6b82f2e0, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8a421c96, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x02653c13, "_dev_info" },
	{ 0xcbdefb54, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0x54393ccd, "ieee80211_queue_delayed_work" },
	{ 0x8cb6dd0d, "mt76_eeprom_init" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x5cd677e7, "mt76x02_mac_setaddr" },
	{ 0xb7da06ef, "mt76_register_device" },
	{ 0xc2ec33f2, "mt76x02_phy_set_bw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x5d97f1d0, "mt76x02_phy_set_band" },
	{ 0x9b5954eb, "mt76x02_init_device" },
	{ 0xceced3f2, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x3aa7c10e, "mt76x02_phy_set_rxpath" },
	{ 0x28f0334f, "mt76x02_edcca_init" },
	{ 0xc67efb28, "mt76_eeprom_override" },
	{ 0x110fcbc7, "mt76x02_get_lna_gain" },
	{ 0x0535999a, "mt76x02_init_debugfs" },
	{ 0xaef05acb, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8eeaa53d, "mt76x02_mac_cc_reset" },
	{ 0x3b9b36f5, "mt76x02_init_agc_gain" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa66c0a26, "____mt76_poll_msec" },
	{ 0xcb6922dd, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xcba5f0f7, "mt76x02_config_mac_addr_list" },
	{ 0x6ef74d33, "mt76_get_sar_power" },
	{ 0x405b5278, "mt76x02_eeprom_copy" },
	{ 0xe72c88bd, "mt76x02_mcu_calibrate" },
	{ 0xaccdb3fe, "mt76x02_mcu_function_select" },
	{ 0x693d8924, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x35e7ff23, "mt76x02_mac_wcid_setup" },
	{ 0x6417b90f, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xa4d61ce0, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0xcbca6c1b, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x81d442c5, "mt76_update_channel" },
	{ 0xf5f27704, "mt76_init_sar_power" },
	{ 0xe562a260, "mt76x02_phy_adjust_vga_gain" },
	{ 0xa918f03c, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xcaa55e89, "__dynamic_dev_dbg" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "5DC9561920B69322101AB5F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
