#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x9b5954eb, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x1480a75e, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0xfca29b34, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x833e8217, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x4b08a5f7, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x0cbb6c99, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x91282e5d, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0xd66e54db, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x6ac34797, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x5f5eac1d, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x3895d30d, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xb568e0d2, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x8c9939cf, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0xdeaf4f57, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0xbfa0a9bf, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0xd18d0c0b, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x42f0df57, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0xcba5f0f7, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x94d14a93, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x4772fda7, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x35e7ff23, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0xd98c7610, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0x5cd677e7, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0xd035f5e3, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x2c5663ed, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0x28f0334f, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x8eeaa53d, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x85a6939a, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0xe7adb379, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0xaccdb3fe, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x50f124d7, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0xe72c88bd, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0x99fa7e9e, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x7cf66f13, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x405b5278, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0x8a421c96, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0xceced3f2, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0x6b82f2e0, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0xcbdefb54, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x110fcbc7, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x3aa7c10e, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xa4d61ce0, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x693d8924, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0xc2ec33f2, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x5d97f1d0, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0xe562a260, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x3b9b36f5, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0x942e064e, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0xd75f57ed, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0x12ad5156, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0xea6ddb7f, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xcf249416, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x1f70bccb, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0xcddd1eb1, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x101d224b, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x35ae31fc, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0xe41bfca6, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0xf83fa231, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0x0535999a, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xa918f03c, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xcb6922dd, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x0dc6e05a, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xca4d0520, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0xdc66cc70, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x783ca3d7, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0x2d59f29e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xeecf15ec, "mt76_csa_check" },
	{ 0x7829ce7b, "mt76_tx_status_skb_add" },
	{ 0xca8003d1, "__tracepoint_mac_txdone" },
	{ 0x511d4f41, "mt76_tx_check_agg_ssn" },
	{ 0xbae0fd96, "ieee80211_tx_status_ext" },
	{ 0x01b9a68a, "mt76_stop_tx_queues" },
	{ 0xab1aaff2, "___pskb_trim" },
	{ 0x54d52817, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2746d8dd, "__mt76_tx_complete_skb" },
	{ 0xc8286d22, "pcpu_hot" },
	{ 0xf6217556, "seq_lseek" },
	{ 0xf7da35d0, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x09f04520, "ieee80211_restart_hw" },
	{ 0x75cee13b, "bpf_trace_run2" },
	{ 0x3d8289c4, "ieee80211_get_hdrlen_from_skb" },
	{ 0x19f328cb, "kthread_park" },
	{ 0xe4b86858, "mt76_mcu_rx_event" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x35f1d8bb, "mt76_wcid_init" },
	{ 0xe63f8bcf, "mt76_tx_status_check" },
	{ 0x145f2a73, "wake_up_process" },
	{ 0x340612ee, "trace_event_buffer_commit" },
	{ 0x9a4272b3, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x17beef50, "napi_complete_done" },
	{ 0xa61aa3af, "ieee80211_get_tx_rates" },
	{ 0xec042ef4, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x163b89a0, "debugfs_create_devm_seqfile" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xc5a177ef, "mt76_tx" },
	{ 0x573a617f, "__napi_schedule" },
	{ 0x573e527e, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x6598a56a, "mt76_wcid_key_setup" },
	{ 0x02653c13, "_dev_info" },
	{ 0xc7eb320c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x26c0c53a, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x53c4d0e2, "kthread_unpark" },
	{ 0x13d45157, "mt76_phy_dfs_state" },
	{ 0xe6c7d9b9, "wiphy_to_ieee80211_hw" },
	{ 0x092622de, "mt76_init_queue" },
	{ 0xae4d797e, "debugfs_attr_read" },
	{ 0xd479a4e8, "__mt76_sta_remove" },
	{ 0xd0120afe, "mt76_tx_status_skb_done" },
	{ 0x54393ccd, "ieee80211_queue_delayed_work" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xe61e3c6b, "perf_trace_run_bpf_submit" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x7a042b0e, "debugfs_create_bool" },
	{ 0x7cb70b02, "skb_pull" },
	{ 0x34644342, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xad4e155e, "__SCK__tp_func_dev_irq" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9deac6ce, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x38ac7199, "napi_enable" },
	{ 0xc4b4a485, "seq_putc" },
	{ 0x7ab78b1d, "trace_event_reg" },
	{ 0x7e63635b, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x55c3e942, "ieee80211_wake_queues" },
	{ 0x61fe467a, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x19ed7f45, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0xbf8d44b2, "__mt76_mcu_msg_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x1370bcc2, "mt76_set_irq_mask" },
	{ 0x810da240, "bpf_trace_run1" },
	{ 0x9bf30872, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x39f98409, "debugfs_create_u32" },
	{ 0x060b1eb6, "__SCK__tp_func_mac_txdone" },
	{ 0x8e824233, "mt76_seq_puts_array" },
	{ 0xbb7852a4, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x21355b02, "__tracepoint_dev_irq" },
	{ 0xd155b92f, "seq_read" },
	{ 0x4e906905, "mt76_mcu_get_response" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x0f9294f9, "trace_event_buffer_reserve" },
	{ 0x701ec367, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x2cc049c1, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5e055029, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2603a9b8, "seq_write" },
	{ 0xa66c0a26, "____mt76_poll_msec" },
	{ 0x394c8403, "seq_printf" },
	{ 0x452d1012, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xa7a8c6ea, "debugfs_create_file_full" },
	{ 0xf41bfc4f, "mt76_wcid_cleanup" },
	{ 0xd6b82897, "ieee80211_radar_detected" },
	{ 0xda2845c3, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc2635ed9, "mt76_queues_read" },
	{ 0x61996f63, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x9ae404c8, "napi_schedule_prep" },
	{ 0xfdb655cf, "napi_disable" },
	{ 0xe664b0f3, "dev_kfree_skb_any_reason" },
	{ 0x6417b90f, "__mt76_poll" },
	{ 0x71eadadd, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x0027dfb5, "debugfs_create_u8" },
	{ 0x1a6bca18, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xf6cf5f75, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x4c9ec0b8, "ieee80211_sta_register_airtime" },
	{ 0x55721218, "mt76_dma_rx_poll" },
	{ 0x4fff21f0, "mt76_tx_status_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x2e789a0c, "simple_attr_open" },
	{ 0x03dcc03c, "debugfs_attr_write" },
	{ 0x3933ad8b, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x95e1e716, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6661ad44, "mt76_tx_status_skb_get" },
	{ 0x12e5b954, "trace_raw_output_prep" },
	{ 0x8091f1a4, "mt76_tx_status_lock" },
	{ 0xfc86695c, "skb_dequeue" },
	{ 0xc622a6e6, "__trace_trigger_soft_disabled" },
	{ 0x8cea2009, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "0BF73325064BE6E0FFA81F4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
