#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2x00usb_vendor_request, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_req_buff_lock, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_vendor_request_buff, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_regbusy_read, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_register_read_async, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_kick_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_flush_queue, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_clear_entry, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_initialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_uninitialize, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_probe, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_disconnect, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_suspend, "_gpl", "");
KSYMTAB_FUNC(rt2x00usb_resume, "_gpl", "");

SYMBOL_CRC(rt2x00usb_vendor_request, 0x3b4a59ef, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_req_buff_lock, 0xf06b8877, "_gpl");
SYMBOL_CRC(rt2x00usb_vendor_request_buff, 0x63b78074, "_gpl");
SYMBOL_CRC(rt2x00usb_regbusy_read, 0x0990f7ac, "_gpl");
SYMBOL_CRC(rt2x00usb_register_read_async, 0xfea0bd0a, "_gpl");
SYMBOL_CRC(rt2x00usb_kick_queue, 0x6311b26b, "_gpl");
SYMBOL_CRC(rt2x00usb_flush_queue, 0x186afc4d, "_gpl");
SYMBOL_CRC(rt2x00usb_watchdog, 0x102b1a6d, "_gpl");
SYMBOL_CRC(rt2x00usb_disable_radio, 0xe75d35c9, "_gpl");
SYMBOL_CRC(rt2x00usb_clear_entry, 0x2c9880eb, "_gpl");
SYMBOL_CRC(rt2x00usb_initialize, 0xe27a0f70, "_gpl");
SYMBOL_CRC(rt2x00usb_uninitialize, 0x20a474ff, "_gpl");
SYMBOL_CRC(rt2x00usb_probe, 0x7ac49461, "_gpl");
SYMBOL_CRC(rt2x00usb_disconnect, 0x90c68797, "_gpl");
SYMBOL_CRC(rt2x00usb_suspend, 0xc7ad62ff, "_gpl");
SYMBOL_CRC(rt2x00usb_resume, 0x9fc2c0b9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x89548bbd, "usb_control_msg" },
	{ 0x6b17d648, "___ratelimit" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x69acdf38, "memcpy" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc6882641, "usb_anchor_urb" },
	{ 0xe4d58c9e, "usb_submit_urb" },
	{ 0x037a0cba, "kfree" },
	{ 0x39038e38, "usb_unanchor_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0x4d5b35ed, "usb_alloc_urb" },
	{ 0x9300177c, "usb_free_urb" },
	{ 0x36b76395, "rt2x00lib_dmastart" },
	{ 0xb46ec7ec, "rt2x00lib_dmadone" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa3dc1a17, "__skb_pad" },
	{ 0xaef05acb, "_dev_warn" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe642f2c4, "rt2x00queue_for_each_entry" },
	{ 0x0a77c1a4, "usb_kill_urb" },
	{ 0x04af2a83, "rt2x00queue_get_entry" },
	{ 0x9b8c525a, "rt2x00queue_stop_queue" },
	{ 0xd4b2ca70, "rt2x00queue_flush_queue" },
	{ 0xd0a594ea, "rt2x00queue_start_queue" },
	{ 0x5b3e78a0, "rt2x00lib_txdone_noinfo" },
	{ 0x30d3c687, "rt2x00lib_rxdone" },
	{ 0x25bd413b, "rt2x00lib_suspend" },
	{ 0x73821753, "rt2x00lib_resume" },
	{ 0x912a3adb, "usb_kill_anchored_urbs" },
	{ 0x96bdf21d, "hrtimer_cancel" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xcaa9fc5c, "rt2x00lib_remove_dev" },
	{ 0x9996d0f1, "ieee80211_free_hw" },
	{ 0x15cb0bf8, "usb_put_dev" },
	{ 0x0821c522, "usb_get_dev" },
	{ 0x85ed5b77, "usb_reset_device" },
	{ 0x4123ac2a, "ieee80211_alloc_hw_nm" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x3933ad8b, "devm_kmalloc" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x5a35da51, "rt2x00lib_probe_dev" },
	{ 0x92997ed8, "_printk" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rt2x00lib,mac80211");


MODULE_INFO(srcversion, "D2A2A50C33680A6EF957E9C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
