#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0x07402c1d, "");
SYMBOL_CRC(rtw_pci_probe, 0x6c4214d7, "");
SYMBOL_CRC(rtw_pci_remove, 0x49f15e67, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x6d443516, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x06886008, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xe288c3bc, "__dma_sync_single_for_cpu" },
	{ 0xc6dd2237, "rtw_unregister_hw" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x7cb70b02, "skb_pull" },
	{ 0xf142a3b0, "rtw_tx_fill_tx_desc" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9deac6ce, "skb_push" },
	{ 0xb7a3b4c5, "dma_alloc_attrs" },
	{ 0x38ac7199, "napi_enable" },
	{ 0x886312ad, "rtw_core_init" },
	{ 0xaf54dd01, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4123ac2a, "ieee80211_alloc_hw_nm" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc13f8a79, "pci_iounmap" },
	{ 0xab48ad38, "rtw_update_rx_freq_from_ie" },
	{ 0x4d960393, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0xaef05acb, "_dev_warn" },
	{ 0x4817bf75, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe46adbaa, "ieee80211_stop_queue" },
	{ 0x96b9233a, "__netdev_alloc_skb" },
	{ 0xb7731c80, "rtw_rx_stats" },
	{ 0x3b336129, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xa6c70daf, "__netif_napi_del_locked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xc52ba1ce, "rtw_register_hw" },
	{ 0x850eb228, "alloc_netdev_dummy" },
	{ 0x5bc8b587, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x6962882c, "param_ops_bool" },
	{ 0x018b89d3, "pci_release_regions" },
	{ 0xbe8f8a98, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd00db093, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2bb4c1f2, "rtw_dbg" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x24f1d340, "rtw_core_deinit" },
	{ 0xce844ea3, "rtw_ops" },
	{ 0x6eddd4ca, "pci_disable_device" },
	{ 0x9ae404c8, "napi_schedule_prep" },
	{ 0xfdb655cf, "napi_disable" },
	{ 0xe664b0f3, "dev_kfree_skb_any_reason" },
	{ 0x2db027c3, "rtw_power_mode_change" },
	{ 0x19a9e8ec, "rtw_tx_write_data_h2c_get" },
	{ 0xf7a03b3d, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0x74c4380c, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xc4c157ea, "rtw_rx_query_rx_desc" },
	{ 0xcf7e5941, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x50a64c02, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x3656a499, "rtw_tx_queue_mapping" },
	{ 0xa8770c9f, "pcie_capability_read_word" },
	{ 0x53c833fa, "devm_request_threaded_irq" },
	{ 0xc970e791, "pci_enable_device" },
	{ 0x8adacd50, "skb_put" },
	{ 0x95e1e716, "consume_skb" },
	{ 0x999840ef, "pci_iomap" },
	{ 0x4b7c8650, "pci_alloc_irq_vectors" },
	{ 0xfc86695c, "skb_dequeue" },
	{ 0x9996d0f1, "ieee80211_free_hw" },
	{ 0xed81a40d, "dma_unmap_page_attrs" },
	{ 0xfc2b92ba, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0xf7da35d0, "netif_napi_add_weight_locked" },
	{ 0xe7b3f236, "dev_kfree_skb_irq_reason" },
	{ 0x46f61ab0, "pci_set_power_state" },
	{ 0x807befdd, "ieee80211_wake_queue" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f0f5386, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x1b6252b4, "dma_map_page_attrs" },
	{ 0x17beef50, "napi_complete_done" },
	{ 0x5bb01822, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x1812d2fc, "devm_free_irq" },
	{ 0x573a617f, "__napi_schedule" },
	{ 0x91345268, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x87113b16, "rtw_chip_info_setup" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "322EB391D5675A24A6104DF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
