#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(proc_thermal_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_remove, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_suspend, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_resume, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_add, "_gpl", "");
KSYMTAB_FUNC(proc_thermal_mmio_remove, "_gpl", "");

SYMBOL_CRC(proc_thermal_add, 0x807524d6, "_gpl");
SYMBOL_CRC(proc_thermal_remove, 0x56320b7b, "_gpl");
SYMBOL_CRC(proc_thermal_suspend, 0x03049783, "_gpl");
SYMBOL_CRC(proc_thermal_resume, 0x01aa1492, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_add, 0x148366d6, "_gpl");
SYMBOL_CRC(proc_thermal_mmio_remove, 0xcd2ec1da, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x037a0cba, "kfree" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x1936331f, "intel_tcc_set_offset" },
	{ 0x54bf8361, "is_acpi_device_node" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0xe79737d0, "int340x_thermal_zone_add" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x3b87dc51, "sysfs_create_file_ns" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x83cae464, "int340x_thermal_zone_remove" },
	{ 0xa1186518, "intel_tcc_get_tjmax" },
	{ 0x91927ea4, "sysfs_create_group" },
	{ 0x250fbc08, "sysfs_remove_file_ns" },
	{ 0x43fcb735, "sysfs_remove_group" },
	{ 0xaef05acb, "_dev_warn" },
	{ 0x9d0ba33c, "pcim_iomap_regions" },
	{ 0xd14e5bc6, "pcim_iomap_table" },
	{ 0xf30de751, "proc_thermal_wt_hint_add" },
	{ 0x9b465c3d, "proc_thermal_rfim_add" },
	{ 0x976f90bd, "proc_thermal_wt_req_add" },
	{ 0x11a59f0e, "proc_thermal_rapl_add" },
	{ 0x84a69f91, "proc_thermal_rfim_remove" },
	{ 0x098e82d4, "proc_thermal_rapl_remove" },
	{ 0x67548444, "proc_thermal_wt_hint_remove" },
	{ 0x47890aea, "proc_thermal_wt_req_remove" },
	{ 0xcaa55e89, "__dynamic_dev_dbg" },
	{ 0xa4c1e325, "thermal_zone_device_update" },
	{ 0x668b3729, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x6df7c02d, "proc_thermal_power_floor_set_state" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd11a3a04, "proc_thermal_power_floor_get_state" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x18ae2e30, "proc_thermal_read_power_floor_status" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8c32aa7b, "intel_tcc_get_offset" },
	{ 0xdb0da161, "intel_tcc_get_temp" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "int340x_thermal_zone,processor_thermal_wt_hint,processor_thermal_rfim,processor_thermal_wt_req,processor_thermal_rapl,processor_thermal_power_floor");


MODULE_INFO(srcversion, "8AB9F948BDD66CA7D1DFCE2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
