#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(register_atm_ioctl, "", "");
KSYMTAB_FUNC(deregister_atm_ioctl, "", "");
KSYMTAB_DATA(vcc_hash, "", "");
KSYMTAB_DATA(vcc_sklist_lock, "", "");
KSYMTAB_FUNC(vcc_insert_socket, "", "");
KSYMTAB_FUNC(vcc_release_async, "", "");
KSYMTAB_FUNC(vcc_process_recv_queue, "", "");
KSYMTAB_FUNC(atm_dev_signal_change, "", "");
KSYMTAB_FUNC(atm_dev_release_vccs, "", "");
KSYMTAB_FUNC(register_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(unregister_atmdevice_notifier, "_gpl", "");
KSYMTAB_FUNC(atm_charge, "", "");
KSYMTAB_FUNC(atm_alloc_charge, "", "");
KSYMTAB_FUNC(atm_pcr_goal, "", "");
KSYMTAB_FUNC(sonet_copy_stats, "", "");
KSYMTAB_FUNC(sonet_subtract_stats, "", "");
KSYMTAB_FUNC(atm_init_aal5, "", "");
KSYMTAB_FUNC(atm_dev_lookup, "", "");
KSYMTAB_FUNC(atm_dev_register, "", "");
KSYMTAB_FUNC(atm_dev_deregister, "", "");
KSYMTAB_DATA(atm_proc_root, "", "");

SYMBOL_CRC(register_atm_ioctl, 0x8af466a2, "");
SYMBOL_CRC(deregister_atm_ioctl, 0xd1f7f0e5, "");
SYMBOL_CRC(vcc_hash, 0x2cc2d52d, "");
SYMBOL_CRC(vcc_sklist_lock, 0xe05cfc9b, "");
SYMBOL_CRC(vcc_insert_socket, 0xdad87aec, "");
SYMBOL_CRC(vcc_release_async, 0x710f46e7, "");
SYMBOL_CRC(vcc_process_recv_queue, 0x1e85e4ed, "");
SYMBOL_CRC(atm_dev_signal_change, 0x3e363117, "");
SYMBOL_CRC(atm_dev_release_vccs, 0x8b998272, "");
SYMBOL_CRC(register_atmdevice_notifier, 0xb09faf79, "_gpl");
SYMBOL_CRC(unregister_atmdevice_notifier, 0xcfb6a3da, "_gpl");
SYMBOL_CRC(atm_charge, 0x056b57f5, "");
SYMBOL_CRC(atm_alloc_charge, 0x6f07c9e2, "");
SYMBOL_CRC(atm_pcr_goal, 0xf49bc67a, "");
SYMBOL_CRC(sonet_copy_stats, 0xaa024146, "");
SYMBOL_CRC(sonet_subtract_stats, 0x9feaf287, "");
SYMBOL_CRC(atm_init_aal5, 0x6209af26, "");
SYMBOL_CRC(atm_dev_lookup, 0x052ecbbf, "");
SYMBOL_CRC(atm_dev_register, 0x17613c77, "");
SYMBOL_CRC(atm_dev_deregister, 0xfdd6e555, "");
SYMBOL_CRC(atm_proc_root, 0x4443d399, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x052d2d9b, "proto_unregister" },
	{ 0x6d334118, "__get_user_8" },
	{ 0x01000e51, "schedule" },
	{ 0x1b4f03a0, "sock_register" },
	{ 0xd8feb631, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee7aa097, "atomic_notifier_chain_register" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xbbf2990f, "put_device" },
	{ 0xdce3c07f, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x96a899d5, "const_pcpu_hot" },
	{ 0xb92798f9, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x91345268, "skb_queue_tail" },
	{ 0x0340c9d8, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x583cbe05, "device_create_file" },
	{ 0x712fc285, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x9ead9ab7, "sk_skb_reason_drop" },
	{ 0x47d5a62b, "noop_llseek" },
	{ 0x66a70c8c, "sk_free" },
	{ 0x3498d5bb, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xeaf040d0, "sock_no_accept" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x30da5fa5, "sock_no_listen" },
	{ 0x261015c5, "_raw_spin_unlock_irq" },
	{ 0xc4b4a485, "seq_putc" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x783a3402, "class_unregister" },
	{ 0x0ab5bcd0, "_raw_read_unlock" },
	{ 0x7d32d2e9, "lock_sock_nested" },
	{ 0xb119dfdb, "skb_copy_datagram_iter" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0xc50a5646, "sk_alloc" },
	{ 0x338c9040, "device_register" },
	{ 0xa5dc1efb, "device_del" },
	{ 0xeaedfe35, "_raw_write_unlock_irq" },
	{ 0xcb1bf814, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x82059aac, "atomic_notifier_call_chain" },
	{ 0xa7f75e14, "sock_no_mmap" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xab4f7184, "atomic_notifier_chain_unregister" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xa0a65f7b, "skb_recv_datagram" },
	{ 0x2603a9b8, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xde5280d0, "remove_proc_entry" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0x394c8403, "seq_printf" },
	{ 0x1d03cc27, "_copy_from_iter" },
	{ 0xbcdd3814, "_raw_read_lock" },
	{ 0x60e673e1, "sock_gettstamp" },
	{ 0xc85c0f8b, "_proc_mkdir" },
	{ 0x03ea3bdc, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf6165198, "__seq_puts" },
	{ 0x754d539c, "strlen" },
	{ 0xe664b0f3, "dev_kfree_skb_any_reason" },
	{ 0xe16466c9, "iov_iter_revert" },
	{ 0x9a48f30c, "proc_create_seq_private" },
	{ 0xe7e44147, "class_register" },
	{ 0x4130b936, "sock_init_data" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0x31200135, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9db590e0, "release_sock" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x92738912, "skb_free_datagram" },
	{ 0x79dd7cb0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8adacd50, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x763befda, "dev_set_name" },
	{ 0x95e1e716, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0xfc86695c, "skb_dequeue" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x037a0cba, "kfree" },
	{ 0xe08c9091, "proc_create_data" },
	{ 0x14b9fcda, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2fb7a065, "_raw_write_lock_irq" },
	{ 0x9b2b56cb, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x52bd083b, "_raw_spin_lock_irq" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2B146EF15E7BB381AD1AAC1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
