#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(gss_mech_register, 0x5e8de91e, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x1fc3c769, "_gpl");
SYMBOL_CRC(gss_mech_get, 0x4d5e4301, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x5ef2ee70, "");
SYMBOL_CRC(gss_mech_put, 0x23cb44cc, "");
SYMBOL_CRC(svcauth_gss_flavor, 0x83107f3d, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0xfe76e395, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x21ac5b35, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xe26fa087, "xdr_init_decode" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ab78b1d, "trace_event_reg" },
	{ 0x8e1e95b2, "rpc_call_null" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x45a4e35d, "__put_devmap_managed_folio_refs" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x42f99841, "rpc_sleep_on_timeout" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x2db82556, "rpc_create" },
	{ 0x810da240, "bpf_trace_run1" },
	{ 0x41c1d1ec, "rpc_call_sync" },
	{ 0x33d241e6, "from_kuid" },
	{ 0xd86f3397, "unregister_pernet_subsys" },
	{ 0x600f49c4, "rpc_queue_upcall" },
	{ 0xd6a58edb, "xdr_encode_word" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x62c25d3f, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x04502e79, "svcauth_unix_set_client" },
	{ 0xd2fd8bab, "xdr_buf_subsegment" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x3ed233aa, "_atomic_dec_and_lock" },
	{ 0x50279e2e, "make_kgid" },
	{ 0x4121e088, "rpc_remove_pipe_dir_object" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0xd6eff452, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3fe775ad, "nonseekable_open" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x8baab526, "bpf_trace_run3" },
	{ 0xa1810c1d, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x3557b3dc, "rpc_mkpipe_dentry" },
	{ 0xc5300680, "rpc_mkpipe_data" },
	{ 0x431a1e71, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x0f9294f9, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xee72657e, "cache_register_net" },
	{ 0xe1756b90, "init_user_ns" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa98d7290, "xdr_inline_pages" },
	{ 0x2eb8eec0, "__folio_put" },
	{ 0xde5280d0, "remove_proc_entry" },
	{ 0x16324126, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0xbc983b61, "rpc_init_wait_queue" },
	{ 0xdcc603b5, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x9681419b, "alloc_pages_noprof" },
	{ 0xd9c6eea3, "rpc_unlink" },
	{ 0xab027937, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0x435447cc, "from_kuid_munged" },
	{ 0x5031b80a, "rpcauth_init_cred" },
	{ 0xf3401427, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xfc8bd58e, "cache_destroy_net" },
	{ 0x754d539c, "strlen" },
	{ 0xd8494de1, "rpc_init_pipe_dir_object" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x8520c550, "xdr_stream_pos" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0x68532cd6, "sunrpc_cache_update" },
	{ 0x2aa9fd50, "xdr_truncate_encode" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6fa5b5b8, "rpc_destroy_wait_queue" },
	{ 0x7128c790, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xa339c598, "auth_domain_put" },
	{ 0xa43977d4, "rpcauth_unwrap_resp_decode" },
	{ 0xe16f6df9, "rpcauth_register" },
	{ 0x5d0ecd9f, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x79dd7cb0, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xcc70ff8a, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x5f081564, "xdr_buf_from_iov" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8ce9fdb8, "bpf_trace_run4" },
	{ 0xfb6f612d, "xdr_stream_decode_opaque_auth" },
	{ 0x1d106e0c, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9b830ebb, "xdr_write_pages" },
	{ 0x8aeba3ac, "rpc_shutdown_client" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x797b598e, "auth_domain_find" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x05b1156e, "xdr_inline_decode" },
	{ 0xd416f6f8, "cache_create_net" },
	{ 0x5d0baf70, "rpcauth_destroy_credcache" },
	{ 0x12e5b954, "trace_raw_output_prep" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x19cde128, "bpf_trace_run6" },
	{ 0x3198535a, "rpc_net_ns" },
	{ 0xaf7396f8, "read_bytes_from_xdr_buf" },
	{ 0xc622a6e6, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x8c003bcb, "rpc_wake_up" },
	{ 0x8cea2009, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8c4eaae6, "sunrpc_cache_lookup_rcu" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0x54d52817, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0xc8286d22, "pcpu_hot" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0xe08c9091, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0x75cee13b, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x7dcc4a43, "xdr_truncate_decode" },
	{ 0x4a54bb96, "rpcauth_unregister" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x51a09834, "__xdr_commit_encode" },
	{ 0xa8c6f80b, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x10b936fb, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4cb4f555, "__put_cred" },
	{ 0x72c96ff5, "register_pernet_subsys" },
	{ 0x340612ee, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xf2492da0, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0x7420bb16, "rpc_release_client" },
	{ 0x1c0d59f2, "auth_domain_lookup" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xcc04c514, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xf7281dea, "svc_auth_register" },
	{ 0xad559d9f, "xdr_stream_encode_opaque_auth" },
	{ 0xdae51062, "make_kuid" },
	{ 0xa916b694, "strnlen" },
	{ 0x96a899d5, "const_pcpu_hot" },
	{ 0x83d98da2, "rpc_destroy_pipe_data" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4e23a563, "__free_pages" },
	{ 0x26413c62, "rpc_pipe_generic_upcall" },
	{ 0x0340c9d8, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xcab5f588, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x0773bf51, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xe61e3c6b, "perf_trace_run_bpf_submit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x283de9d3, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0xd3c3bf2a, "rpcauth_init_credcache" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "6969FCD552F61778117FF1A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
