#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5640_dmic_enable, "_gpl", "");
KSYMTAB_FUNC(rt5640_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5640_enable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_disable_micbias1_for_ovcd, "_gpl", "");
KSYMTAB_FUNC(rt5640_detect_headset, "_gpl", "");
KSYMTAB_FUNC(rt5640_set_ovcd_params, "_gpl", "");

SYMBOL_CRC(rt5640_dmic_enable, 0xad4a5448, "_gpl");
SYMBOL_CRC(rt5640_sel_asrc_clk_src, 0xdf876dca, "_gpl");
SYMBOL_CRC(rt5640_enable_micbias1_for_ovcd, 0xe9f0e6a1, "_gpl");
SYMBOL_CRC(rt5640_disable_micbias1_for_ovcd, 0x0bc708dd, "_gpl");
SYMBOL_CRC(rt5640_detect_headset, 0x11658eff, "_gpl");
SYMBOL_CRC(rt5640_set_ovcd_params, 0xa5a48e68, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5004d3db, "snd_soc_component_write" },
	{ 0x17cb1ccf, "devm_snd_soc_register_component" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x6cc63c02, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xc74c923e, "device_property_read_u32_array" },
	{ 0x21632c09, "snd_soc_get_enum_double" },
	{ 0x5c7ea90f, "i2c_register_driver" },
	{ 0x6c459d4e, "snd_soc_info_volsw" },
	{ 0xdb0431b5, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x81e65fd2, "snd_soc_dapm_put_volsw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6de1d16f, "snd_soc_dapm_force_bias_level" },
	{ 0x3f7f9d3e, "snd_soc_dapm_disable_pin_unlocked" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x590ee4e2, "snd_soc_add_component_controls" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0xaef05acb, "_dev_warn" },
	{ 0xb4dd7d63, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xee3f6e34, "snd_soc_info_enum_double" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x4f98c40c, "devm_clk_get_optional" },
	{ 0xcf5f4698, "snd_soc_get_volsw" },
	{ 0xd73e5458, "regmap_read" },
	{ 0x66fe180c, "snd_soc_put_volsw" },
	{ 0x59c2f2b5, "snd_soc_component_update_bits" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x248b5154, "snd_soc_dapm_new_controls" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x4b8e2487, "device_property_read_bool" },
	{ 0xc288fbed, "regmap_update_bits_base" },
	{ 0xc7c7037f, "snd_soc_dapm_get_volsw" },
	{ 0x98ab2088, "__devm_add_action" },
	{ 0x6b167319, "i2c_del_driver" },
	{ 0x30342790, "regmap_register_patch" },
	{ 0xbb5ba37b, "snd_soc_dapm_get_enum_double" },
	{ 0x994bc788, "gpiod_set_consumer_name" },
	{ 0x815588a6, "clk_enable" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x8fa3baa8, "snd_soc_dapm_put_enum_double" },
	{ 0x9f9b36ce, "gpiod_get_value_cansleep" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xb53b0e8a, "regcache_cache_only" },
	{ 0x78442dba, "regcache_sync" },
	{ 0xc124535e, "regmap_write" },
	{ 0x3933ad8b, "devm_kmalloc" },
	{ 0xc504441a, "snd_soc_jack_report" },
	{ 0xa8469711, "snd_soc_component_read" },
	{ 0x02567a99, "gpiod_set_value_cansleep" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0x50df7bef, "gpiod_to_irq" },
	{ 0x30b58424, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x03c91179, "snd_soc_put_enum_double" },
	{ 0x823ec069, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbbac5543, "gpiod_get_value" },
	{ 0x201290b0, "devm_gpiod_get_optional" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x2bd861bf, "snd_soc_dapm_force_enable_pin_unlocked" },
	{ 0xcaa55e89, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x73f844e5, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("acpi*:INT33CA:*");
MODULE_ALIAS("acpi*:10EC3276:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("acpi*:10EC5642:*");
MODULE_ALIAS("acpi*:INTCCFFD:*");
MODULE_ALIAS("i2c:rt5640");
MODULE_ALIAS("i2c:rt5639");
MODULE_ALIAS("i2c:rt5642");

MODULE_INFO(srcversion, "8DA52D21774CE3081E6DC3B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
